<?php

// THIS FILE IS PART OF WEBMATIC
// www.valarsoft.com

// Impostazioni iniziali

// Tenta di settare i magic_quotes ad off
// (webmatic funziona sia con magic_quotes_gpc posto ad on che ad off,
//  non  possibile cambiare il valore di magic_quotes_gpc a runtime)
// (webmatic funziona meglio se magic_quotes_runtime e magic_quotes_sybase sono posti ad off
//  altrimenti si hanno problemi con l'apice singolo "'" )
//ini_set('magic_quotes_gpc','0');
ini_set('magic_quotes_runtime','0');
ini_set('magic_quotes_sybase','0');

// Imposta la visibilit delle variabili GET/POST/Cookie a globale.
// Ci risulta utile nei casi in cui si  disabilitato register_globals,
// ma si vuole avere per qualche variabile una visibilit globale. 
// Per adesso webmatic funziona solo con register_global
// posto ad on (o tramite import_request_variables che fa, in pratica, la stessa cosa)
// ini_set('register_globals','0');
if(phpver()>=42) if(!ini_get("register_globals")) import_request_variables('EGPCS');


list($_MSEC,$_SEC)=explode(" ",microtime()); // Used for page generator time

define('_WM_PASSED',1);

require("config.php");
include("path.php");
require($P_LIB."api.php");
$VERIFY_TB=$DB_PREFIX."_wcm";

setIDToInt();
checkMagicQuotes();
quoteVariables();
$SETUP_LANG=intval($SETUP_LANG);
$EDITOR_LANG=intval($EDITOR_LANG);

// Autosetup
if(!defined('_WM_IS_SETUP'))
 {
  if(!ExistTb($VERIFY_TB)) header("Location: setup.php");
  else
   { 
    $chk_dbv=getFieldTB("wcm",$DB_PREFIX."_wcm","");
    if($chk_dbv=="") $chk_dbv="1.0";
    if($chk_dbv!="2.8") header("Location: setup.php");
   }
 }

$adminlog=quote($adminlog);
$password=quote($password);

$act_lang=SettaCookieLingua(0);
require($P_LANG."lingua_en.php"); // Inglese (base language if the other translation are incomplete)
if($act_lang=='2') require($P_LANG."lingua_it.php"); // Italiano
if($act_lang=='3') require($P_LANG."lingua_fr.php"); // Francese
if($act_lang=='4') require($P_LANG."lingua_de.php"); // Tedesco
if($act_lang=='5') require($P_LANG."lingua_es.php"); // Spagnolo
if($act_lang=='6') require($P_LANG."lingua_nl.php"); // Olandese

$PLANG=$START_LANG; // Prende le preferenze della lingua di default
if(!defined('_WM_IS_SETUP'))
 {
  if(!isset($_COOKIE['usrcss'])) $act_css=GetFieldTb("file_css",$DB_PREFIX."_pref",""); // Skin
  else
   {
    setcookie("usrcss","$usrcss",time()+3600*24*365); // resetta il cookie della skin utente che durer 1 anno da adesso
    $act_css=$usrcss;
   }
  cookieWebmail(); 
  require("stili/$act_css/sep.php");
  $NUM_NOTIZIE=PrendiNumNotizie();
  $EMAIL_NEWSLETTER=GetFieldTb("serv_email",$DB_PREFIX."_pref","");
  if(GetFieldTb("rban",$DB_PREFIX."_pref","")==1) $BAN1_HTML=getRbanner(); else $BAN1_HTML=PrendiBan(1); // Prende l'eventuale banner a rotazione
  if(!$BAN1_HTML) $BAN1_HTML=PrendiBan(1); // Se non ci sono banners a rotazione, si prende un'eventuale banner normale in posizione B1
  $BAN2_HTML=PrendiBan(2);
  $BAN3_HTML=PrendiBan(3);
  $BAN4_HTML=PrendiBan(4);
  $BAN5_HTML=PrendiBan(5);
  $BAN6_HTML=PrendiBan(6);
  $BAN7_HTML=PrendiBan(7);
  $BAN8_HTML=PrendiBan(8);
  $BAN9_HTML=PrendiBan(9);
  $BAR_CANALI=PrendiCanali(1);
  $BAR_MENU=PrendiCanali(2);
  $LOGO=getLogo();
  $REDAZIONE=GetFieldTb("redazione",$DB_PREFIX."_morepref"," WHERE ling='$act_lang'");
  $WM_EMAIL=GetFieldTb("wm_email",$DB_PREFIX."_pref","");
  $TITOLO=GetFieldTb("titolo",$DB_PREFIX."_morepref","WHERE ling='$PLANG'"); $TITOLO=htmlspecialchars($TITOLO);
  $SITE_ADDR=GetFieldTb("site_addr",$DB_PREFIX."_pref","");
  // Variabili per Ecommerce
  $CC_WMURL=GetFieldTb("cc_wmurl",$DB_PREFIX."_pref","");
  $CC_WMPREZZO=GetFieldTb("cc_wmprezzo",$DB_PREFIX."_pref","");
  $CC_WM_I_D=GetFieldTb("cc_wmID",$DB_PREFIX."_pref","");
  $MONETA=GetFieldTb("moneta",$DB_PREFIX."_pref","");
  $ECOM_TYPE=GetFieldTb("ecom_type",$DB_PREFIX."_pref","");
  $SPESE_SPED=GetFieldTb("spese_sped",$DB_PREFIX."_pref","");
  $ECOM_SHOWPR=GetFieldTb("ecom_showpr",$DB_PREFIX."_pref","");
  $ECOM_SHOWEX=GetFieldTb("ecom_showex",$DB_PREFIX."_pref","");
  $SCADENZA=7;
  $MAX_ITEMS=15; // Massimo numero di oggetti per pagina
//  $TIPO_PAGAM=GetFieldTb("tipo_pagam",$DB_PREFIX."_pref",""); ($TIPO_PAGAM da fare)
  // Meta tags
  $MT_AUTH=GetFieldTb("author",$DB_PREFIX."_metatags","");
  $MT_KEYS=GetFieldTb("keywords",$DB_PREFIX."_metatags","");
  $MT_DESC=GetFieldTb("description",$DB_PREFIX."_metatags","");
  $META_TAGS="";
  if($MT_AUTH!="") $META_TAGS.="<META NAME=\"Author\" CONTENT=\"".$MT_AUTH."\">\n";
  if($MT_KEYS!="") $META_TAGS.="<META NAME=\"Keywords\" CONTENT=\"".$MT_KEYS."\">\n";
  if($MT_DESC!="") $META_TAGS.="<META NAME=\"Description\" CONTENT=\"".$MT_DESC."\">\n";
 }

$PHPMYADMIN_LINK="../dbadmin";
$VER="2.8";

function Connetti() // Si connette al database con parametri opzionali
 {
  global $DB_SERVER,$DB_USER,$DB_PASSWORD,$DB_NAME;

  $con=mysql_connect($DB_SERVER,$DB_USER,$DB_PASSWORD) or die("Errore: Non riesco a connettermi al server MySql $DB_SERVER");
  mysql_select_db($DB_NAME,$con)                       or die("Errore: Non riesco a selezionare il database $DB_NAME");
  return $con;
 }

function faiQuery($query) // Si connette al database ed esegue la query $query
 {
  global $_NQ;
  $con=Connetti();
  $result=mysql_query($query,$con) or die("Errore: Non riesco ad eseguire la query: $query");
  $_NQ++; //echo "  $_NQ";
  return $result;
 }

function pageTailer()
 {
 	global $DB_PREFIX,$INDEX,$ADMIN,$VER,$FOOT_CONT,$act_css,$_NQ;
 	global $f_row,$f_row1,$f_row2,$html_canali;
 	global $nvis,$act_lang;

  $ts_oggi=time();
  $oggi=numTodayname(daynameToNum(date("l",$ts_oggi))).", ".convertiData(date("Y/m/d",$ts_oggi),$act_lang);
  $visoggi_row=mysql_fetch_object(faiQuery("SELECT SUM(hits) AS tot FROM ".$DB_PREFIX."_time_stat WHERE anno='".date("Y",$ts_oggi)."' AND mese='".date("n",$ts_oggi)."' AND giorno='".date("j",$ts_oggi)."'"));
  $visoggi=$visoggi_row->tot;
  if(!$visoggi) $visoggi=0;
  if($visoggi!=1) $visoggi=" ($visoggi $INDEX[67])";
  else $visoggi=" ($visoggi $INDEX[68])";
  $CONDAT=GetFieldTb("condat",$DB_PREFIX."_pref","");
  $FOOT_CONDAT="";
  $dtime=delayTime().$ADMIN[1629]." ($_NQ $ADMIN[1632])";

  if($CONDAT==1) $FOOT_CONDAT=$INDEX[56].$nvis.$INDEX[57].$oggi.$visoggi.", ".$ADMIN[1630].$dtime; // visitors, date, dalay time
  if($CONDAT==2) $FOOT_CONDAT=$INDEX[56].$nvis.$INDEX[57].$oggi.$visoggi; 					  						 // visitors, date
  if($CONDAT==3) $FOOT_CONDAT=$INDEX[56].$nvis.$INDEX[58].$visoggi.", ".$ADMIN[1630].$dtime;       // visitors, delay time
  if($CONDAT==4) $FOOT_CONDAT=$INDEX[59].$oggi.", ".$ADMIN[1630].$dtime;												   // date, delay time
  if($CONDAT==5) $FOOT_CONDAT=$INDEX[56].$nvis.$INDEX[58].$visoggi;    						    						 // visitors
  if($CONDAT==6) $FOOT_CONDAT=$INDEX[59].$oggi;                        						    						 // date
  if($CONDAT==7) $FOOT_CONDAT=$ADMIN[1631].$dtime; 											                           // delay time
  if($FOOT_CONT) $FOOT_CONDAT="<br>".$FOOT_CONDAT;
  
  require("stili/".$act_css."/foot.inc"); 	
 }

function delayTime()
 {
 	// Return page generator time in seconds
 	global $_SEC,$_MSEC;
 	
  list($msec,$sec)=explode(" ",microtime());
  $sec=$sec-$_SEC; $msec=$msec-$_MSEC;
  if($msec<0) { $sec--; $msec=(1+$msec); }
  return "$sec.".($msec*1000000);
 }

function phpver()
 {
  $phpver=phpversion();
  $phpver = explode(".", $phpver);
  return "$phpver[0]$phpver[1]";
 }

function isEmail($email)
 {
  return eregi("^[a-z0-9][_\.a-z0-9-]+@([a-z0-9][0-9a-z-]+\.)+([a-z]{2,4})$",$email);
 }

function isURL($url)
 {
 	return eregi("^(https?://)?(([0-9a-z_!~*'().&=+$%-]+: )?[0-9a-z_!~*'().&=+$%-]+@)?(([0-9]{1,3}\.){3}[0-9]{1,3}|([0-9a-z_!~*'()-]+\.)*([0-9a-z][0-9a-z-]{0,61})?[0-9a-z]\.[a-z]{2,6})(:[0-9]{1,4})?((/?)|(/[0-9a-z_!~*'().;?:@&=+$,%#-]+)+/?)$",$url);
 }

function isInteger($num)
 {
  return eregi("^[0-9]*$",$num);
 }

function quote($str)
 {
 	if(!anyUserLogged(1)) $str=htmlspecialchars($str,ENT_NOQUOTES); // If not admin logged, remove all html tags
 	$str=str_replace("'" ,"&#039;",$str); $str=str_replace("\\","&#092;",$str);
  //$str=str_replace("\\" ,"\\\\",$str); $str=str_replace("'","\'",$str);
 	return $str;
 }

function dequote($str)
 {
 	$str=str_replace("&#039;","'" ,$str); $str=str_replace("&#092;","\\",$str);
 	//$str=str_replace("\'","'",$str); $str=str_replace("\\\\","\\" ,$str); 
 	return $str;
 }

function Hquot($str,$only_quot=1) // Replace ",>,< with &quot;,&gt;,&lt; (only_quot=0 for textarea)
 {
 	if($only_quot) return str_replace("\"","&quot;",$str);
 	else
 	 {
 	 	$str=str_replace("\"","&quot;",$str);
 	 	$str=str_replace(">","&gt;",$str);
 	 	$str=str_replace("<","&lt;",$str);
 	 	return $str;
 	 }
 }

function stripslashes_deep($value)
 {
  $value = is_array($value) ? array_map('stripslashes_deep', $value) : stripslashes($value);
  return $value;
 }

function checkMagicQuotes()
 {
 	// Gestione corretta dei magic_quotes, in pratica pone tutte le variabili come
 	// se magic_quotes_gpc fosse posto ad Off, cio toglie tutti gli slash,
 	// utile per la compatibilit anche in server dove magic_quotes_gpc  posto ad On
  if(get_magic_quotes_gpc())
   {
    $_POST = array_map('stripslashes_deep',$_POST);
    $_GET = array_map('stripslashes_deep',$_GET);
    $_COOKIE = array_map('stripslashes_deep',$_COOKIE); 
    for($i=0;$i<sizeof($_POST);$i++)
     {
      $nvar=key($_POST);
      global $$nvar;
      $$nvar=stripslashes($$nvar);
      next($_POST);
     }
    for($i=0;$i<sizeof($_GET);$i++)
     {
      $nvar=key($_GET);
      global $$nvar;
      $$nvar=stripslashes($$nvar);
      next($_GET);
     }
   }
 }

function quoteVariables()
 {
  // Quote all unsecure variables and cookies to avoid sql injection	
  $_WMVAR = array('page','dpage',
 
                  'PHPSESSID','usrcss','wmaillog','wmailpwd','wmserverID','usrlog','usrpas','adminlog','password','usrlang',
                  'ariete','toro','gemelli','cancro','leone','vergine','bilancia','scorpione','sagittario','capricorno','acquario','pesci',
                  'aries','taurus','gemini','cancer','leo','virgo','libra','scorpio','sagittarius','capricorn','aquarius','pisces');
                  
                  /*'act_lang','EDITOR_LANG','ts_oggi','PRE_LANG','css','PSITE_ADDR',
                  'PTITOLO','PLANG','BIG_TITOLO','logo','LOGOX','LOGOY','CONDAT','PSPE_UT','PREDAZIONE','home_cont','foot_cont',
                  'PWM_EMAIL','PSERV_EMAIL','OGG_SE','MAIL_SE','OGG_UT','MAIL_UT','PCC_WMURL',
                  'PCC_WMPREZZO','PCC_WM_I_D','PMONETA','PECOM_TYPE','PSPESE_SPED','PBE_RATIO','PBE_EXTRA',
                  'PBE_CREINI','pnnot','visitatori','segnalazioni','ts','unick','ip','newnick','stato',
                  'frase','ling','NUM_NOTIZIE','SETUP_LANG','lastlog');*/

  for($i=0;$i<sizeof($_WMVAR);$i++)
   {
    $nvar=$_WMVAR[$i];
    global $$nvar;
    if(isset($$nvar)) { $$nvar=str_replace("\\","\\\\",$$nvar); $$nvar=str_replace("'","\'",$$nvar); }
   }  
 }

function setIDToInt()
 {
 	// Pone tutti gli ID numerici ad un valore numerico effettivo (escludendo le variabili "tokenizzate" con "|")
 	// Evita possibili iniezioni di MySQL
 	// Tutti gli id delle varie tabelle devono finire con ID (maiuscolo) e devono essere variabili
 	// di tipo intero.
 	// TODO: Verificare anche COOKIE (si suppone non sia necessario)
  $_POST = array_map('stripslashes_deep',$_POST);
  $_GET = array_map('stripslashes_deep',$_GET);

  //$_COOKIE = array_map('stripslashes_deep',$_COOKIE);
  
  global $arg_albumID,$movetoID;

  $aux1=$arg_albumID; $aux2=$movetoID; // Escludo i "doppi" id separati da "|"
  for($i=0;$i<sizeof($_POST);$i++)
   {
   	global $nvar; $nvar=key($_POST); global $$nvar;
    if(strpos($nvar,"ID")) $$nvar=intval($$nvar);
    next($_POST);
   }
  $arg_albumID=$aux1; $movetoID=$aux2;

  for($i=0;$i<sizeof($_GET);$i++)
   {
   	global $nvar; $nvar=key($_GET); global $$nvar;
    if(strpos($nvar,"ID")) $$nvar=intval($$nvar);
    next($_GET);
   }
 }

function ConvertiData($data,$lingua)
 {
  global $ADMIN;

  for($i=0;$i<=3;$i++) $anno.=$data[$i];
  for($i=5;$i<=6;$i++) $mese.=$data[$i];
  for($i=8;$i<=9;$i++) $giorno.=$data[$i];
  if($mese=="01") $mese=$ADMIN[548];
  if($mese=="02") $mese=$ADMIN[549];
  if($mese=="03") $mese=$ADMIN[550];
  if($mese=="04") $mese=$ADMIN[551];
  if($mese=="05") $mese=$ADMIN[552];
  if($mese=="06") $mese=$ADMIN[553];
  if($mese=="07") $mese=$ADMIN[554];
  if($mese=="08") $mese=$ADMIN[555];
  if($mese=="09") $mese=$ADMIN[556];
  if($mese=="10") $mese=$ADMIN[557];
  if($mese=="11") $mese=$ADMIN[558];
  if($mese=="12") $mese=$ADMIN[559];
  if($lingua==2) $data=$giorno."-".$mese."-".$anno; // All'italiana
  else $data=$mese."-".$giorno."-".$anno;           // All'inglese
  return $data;
 }

function ConvertiDataTempo($datatempo,$lingua)
 {
  global $ADMIN;

  $data=$datatempo;
  for($i=0;$i<=3;$i++) $anno.=$data[$i];
  for($i=5;$i<=6;$i++) $mese.=$data[$i];
  for($i=8;$i<=9;$i++) $giorno.=$data[$i];
  if($mese=="01") $mese=$ADMIN[548];
  if($mese=="02") $mese=$ADMIN[549];
  if($mese=="03") $mese=$ADMIN[550];
  if($mese=="04") $mese=$ADMIN[551];
  if($mese=="05") $mese=$ADMIN[552];
  if($mese=="06") $mese=$ADMIN[553];
  if($mese=="07") $mese=$ADMIN[554];
  if($mese=="08") $mese=$ADMIN[555];
  if($mese=="09") $mese=$ADMIN[556];
  if($mese=="10") $mese=$ADMIN[557];
  if($mese=="11") $mese=$ADMIN[558];
  if($mese=="12") $mese=$ADMIN[559];
  if($lingua==2) $data=$giorno."-".$mese."-".$anno; // All'italiana
  else $data=$mese."-".$giorno."-".$anno;           // All'inglese
  for($i=10;$i<=19;$i++) $data.=$datatempo[$i];
  return $data;
 }

function parseTempo($sec)
 {
  // Convertire $sec da secondi in giorni ore minuti e secondi
  global $ADMIN;

  if($sec<1) return "</td><td><img src=pic/blinkg.gif align=absmiddle></td><td> 0 $ADMIN[1090]";
  if($sec<60) return "</td><td><img src=pic/blinkg.gif align=absmiddle></td><td> $sec $ADMIN[1090]";
  $giorni=floor($sec/86300);
  $sec=abs($sec-$giorni*86400);
  $ore=floor($sec/3600);
  $sec=abs($sec-$ore*3600);
  $min=floor($sec/60);
  $sec=abs($sec-$min*60);
  if($sec<=9) $sec="0$sec";
  if($min<=9) $min="0$min";
  if($ore<=9) $ore="0$ore";
  if($giorni>=1) return "</td><td><img src=pic/blinkr.gif align=absmiddle></td><td> $giorni:$ore:$min:$sec";
  if($ore>=8) return "</td><td><img src=pic/blinko.gif align=absmiddle></td><td> $giorni:$ore:$min:$sec";
  return "</td><td><img src=pic/blinkg.gif align=absmiddle></td><td> $giorni:$ore:$min:$sec";
 }

function tokenize($str,$tok)
 {
  $str.=$tok;
  $aux="";
  $j=0;
  for($i=0;$i<strlen($str);$i++)
   {
    if($str[$i]==$tok)
     {
      $ts[$j]=$aux;
      $j++;
      $aux="";
     }
    else $aux.=$str[$i];
   }
  return $ts;
 }

function fileExist($file) // torna un numero !=1 se $file esiste altrimenti torna 0
 {
  $fd=@fopen($file,"r");
  $ret=$fd;
  @fclose($fd);
  return $ret;
 }

function ExistTb($tb) // torna 1 se la tabella $tb esiste nel database in configurazione
 {
  $con=Connetti();
  if(!mysql_query("SELECT * FROM $tb",$con)) return 0;
  else return 1;
 }

function cutPath($str)
 {
  while(strrchr($str,"\\"))
   {
    $str=strstr($str,"\\");
    $str=substr($str,2,strlen($str));
   }
  return $str;
 }

function cutExt($str)
 {
  $i=strlen($str);
  while($str[$i]!="." && $i>=0) $i--;
  if($str[$i]==".") return substr($str,$i+1,strlen($str));
  else return "";
 }

function checkExt($file,$EXT)
 {
  $e=cutExt($file);
  foreach($EXT as $v) if(strtoupper($v)==strtoupper($e)) return 1;
  return 0;
 }

function ch2ch($str,$ch1,$ch2)
 {
  for($i=0;$i<strlen($str);$i++)
   if($str[$i]==$ch1) $str[$i]=$ch2;
  return $str;
 }

function ch2str($str,$ch,$s)
 {
  $out="";
  for($i=0;$i<strlen($str);$i++)
   {
    if($str[$i]==$ch) $out=$out.$s;
    else $out=$out.$str[$i]; 
   }
  return $out;
 }

function setLingueArr()
 {
  global $DB_PREFIX,$LINGUE;

  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_lingue");
  while($row=mysql_fetch_object($result))
   {
    $LINGUE[$row->linguaID]=$row->nome;
   }
 }

function getLingue($linguaID,$field)
 {
  global $DB_PREFIX,$VERIFY_TB;

  $str="";
  if(!ExistTb($VERIFY_TB) || defined('_WM_IS_SETUP')) // Se il database  vuoto o sto richiamando il setup
   {
   	$tot_lang=6;
    $ALIN[1][ID]=1; $ALIN[1][NOME]="English";    $ALIN[1][FLAG]="en.gif";
    $ALIN[2][ID]=2; $ALIN[2][NOME]="Italiano";   $ALIN[2][FLAG]="it.gif";
    $ALIN[3][ID]=3; $ALIN[3][NOME]="Franais";   $ALIN[3][FLAG]="fr.gif";
    $ALIN[4][ID]=4; $ALIN[4][NOME]="Deutsch";    $ALIN[4][FLAG]="de.gif";
    $ALIN[5][ID]=5; $ALIN[5][NOME]="Espaol";    $ALIN[5][FLAG]="es.gif";
    $ALIN[6][ID]=6; $ALIN[6][NOME]="Nederlands"; $ALIN[6][FLAG]="nl.gif";
    for($i=1;$i<=$tot_lang;$i++)
     {
      if($ALIN[$i][ID]==$linguaID) $check="checked"; else $check="";
      $str.="<tr><td><div align=center><img src=pic/".$ALIN[$i][FLAG]." border=1></div></td>
              <td><div align=center>".Radio($field,$ALIN[$i][ID],$check)."</div></td>
              <td><div class=standardboldTxt>".$ALIN[$i][NOME]."</div></td></tr>";
     }
   }
  else
   {
    $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_lingue WHERE attiva=1");
    while($row=mysql_fetch_object($result))
     {
      if($row->linguaID==$linguaID) $check="checked"; else $check="";
      $str.="<tr><td><div align=center><img src=pic/".$row->flag." border=1></div></td>
              <td><div align=center>".Radio($field,$row->linguaID,$check)."</div></td>
              <td><div class=standardboldTxt>".$row->nome."</div></td></tr>";
     }
   }
  return $str;
 }

function getNumDays($ts_s,$ts_e)
 {
  $diff=$ts_e-$ts_s;
  $diff=(int)($diff/86400)+1;
  return $diff;
 }

function getGiorno($dt)  { return substr($dt,8,2); } // $dt  la data in formato YYYY-MM-DD

function getMese($dt)    { return substr($dt,5,2); } // $dt  la data in formato YYYY-MM-DD

function getAnno($dt)    { return substr($dt,0,4); } // $dt  la data in formato YYYY-MM-DD

function getOre($dt)     { return substr($dt,0,2); } // $dt  l'ora in formato hh:mm:ss

function getMinuti($dt)  { return substr($dt,3,2); } // $dt  l'ora in formato hh:mm:ss

function getSecondi($dt) { return substr($dt,6,2); } // $dt  l'ora in formato hh:mm:ss

function daynameToNum($dayname)
 {
  if($dayname=="Monday")    return 1;
  if($dayname=="Tuesday")   return 2;
  if($dayname=="Wednesday") return 3;
  if($dayname=="Thursday")  return 4;
  if($dayname=="Friday")    return 5;
  if($dayname=="Saturday")  return 6;
  if($dayname=="Sunday")    return 7;
 }

function numToDayname($num)
 {
  global $ADMIN;

  if($num==1) return $ADMIN[951];
  if($num==2) return $ADMIN[952];
  if($num==3) return $ADMIN[953];
  if($num==4) return $ADMIN[954];
  if($num==5) return $ADMIN[955];
  if($num==6) return $ADMIN[956];
  if($num==7) return $ADMIN[957];
 }

function Contatore($new_vis) // Aumenta di uno la variabile del contatore visite
 {
  global $DB_PREFIX,$REMOTE_ADDR,$HTTP_USER_AGENT;

  if($new_vis && !anyUserLogged(1)) // Nuovo visitatore (cio nuova sessione)
   {
    faiQuery("UPDATE ".$DB_PREFIX."_counter SET nvis=nvis+1");
    updBRstat();
    updOSstat();
    updTimeStat();
    updCountryStat();
   }
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_counter");
  $row=mysql_fetch_array($result);
  $nvis=$row["nvis"];
  return $nvis;
 }

function gestisciSessione()
 {
  global $ADMIN,$DB_PREFIX,$N_VIS,$N_USR,$ACT_USR_LIST,$usrlog;

  // Crea ed inserisce nuova sessione
  $now=time();
  if(!anyUserLogged(1))
   {
    session_start();
    $sid=session_id();
    $ip=getenv('REMOTE_ADDR');
    $dns=gethostbyaddr($ip);
    $ref=getenv('HTTP_REFERER');
    $userID=getFieldTb("userID",$DB_PREFIX."_utenti","WHERE login='$usrlog'");
    // Logging
    if(PrendiLogPref()=="1") faiQuery("INSERT INTO ".$DB_PREFIX."_log VALUES('".quote($ref)."','$ip','$dns','$userID','$now')");
    $ts=$now+300; // Expire time = 5 minuti
    $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_sessions WHERE codice='$sid' OR ip='$ip'");
    if(mysql_num_rows($result)==0) // Sessione nuova
     {
      $ret=1;
      faiQuery("INSERT INTO ".$DB_PREFIX."_sessions VALUES('','$sid','$ip','0','$ts')");
     }
    else // Sessione gi esistente
     {
      $ret=0;
      if(!$userID) $userID=0;
      faiQuery("UPDATE ".$DB_PREFIX."_sessions SET expire='$ts', userID='$userID' WHERE codice='$sid' OR ip='$ip'");
     }
   }
  // Cancella le sessioni scadute (comprese le sessioni per sondaggi, directory e album)
  $res_del=faiQuery("SELECT sesID FROM ".$DB_PREFIX."_sessions WHERE expire<=$now");
  while($row_del=mysql_fetch_object($res_del))
   {
    faiQuery("DELETE FROM ".$DB_PREFIX."_sessions WHERE sesID='$row_del->sesID'");
    faiQuery("DELETE FROM ".$DB_PREFIX."_survey_sess WHERE sessionID='$row_del->sesID' AND userID='0'");
    faiQuery("DELETE FROM ".$DB_PREFIX."_directory_sess WHERE sessionID='$row_del->sesID' AND (userID='0' OR userID='-1')");
    faiQuery("DELETE FROM ".$DB_PREFIX."_album_sess WHERE sessionID='$row_del->sesID' AND (userID='0' OR userID='-1')");
   }

  // Prende numero di utenti e visitatori
  $result1=faiQuery("SELECT * FROM ".$DB_PREFIX."_sessions WHERE userID='0'");
  $N_VIS=mysql_num_rows($result1);
  $max_vis=getFieldTb("max_vis",$DB_PREFIX."_counter","");
  if($N_VIS>$max_vis) faiQuery("UPDATE ".$DB_PREFIX."_counter SET max_vis='$N_VIS'");
  $result2=faiQuery("SELECT DISTINCT userID FROM ".$DB_PREFIX."_sessions WHERE userID!='0'");
  $N_USR=mysql_num_rows($result2);
  $max_usr=getFieldTb("max_usr",$DB_PREFIX."_counter","");
  if($N_USR>$max_usr) faiQuery("UPDATE ".$DB_PREFIX."_counter SET max_usr='$N_USR'");
  $ACT_USR_LIST="";
  if($N_USR!=0)
   {
    $ACT_USR_LIST.="<br><b>$ADMIN[813]</b><br>";
    while($row2=mysql_fetch_object($result2))
     {
      $result3=faiQuery("SELECT * FROM ".$DB_PREFIX."_utenti WHERE userID='$row2->userID'");
      $row3=mysql_fetch_object($result3);
      if(anyUserLogged()==1) $ACT_USR_LIST.="<b>-&nbsp;<a href=index.php?infoutente=si&infouserID=$row3->userID#iusr>$row3->login</b></a><br>";
      else $ACT_USR_LIST.="<b>-&nbsp;$row3->login</b><br>";
     }
   }
  return $ret;
 }

function pageExist($pagID,$arg_name)
 {
  global $DB_PREFIX;
  
  $n=getPageType($arg_name);
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_pagine WHERE pagID='$pagID' AND argomento='$n'");
  if(mysql_num_rows($result)==0) return 0;
  else return 1;
 }

function getDirePath($dirID,$prefix,$postfix,$flag=0)
 {
  global $DB_PREFIX;

  $path="";
  $aux=$dirID;
  while($dirID)
   {
    $row=mysql_fetch_object(faiQuery("SELECT * FROM ".$DB_PREFIX."_directory WHERE dirID='$dirID'"));
    if($flag) $path="><a href=$prefix"."dirID=$dirID$postfix>".$row->dir_name."</a>".$path;
    else
     {
      if($dirID!=$aux) $path="><a href=$prefix"."dirID=$dirID$postfix>".$row->dir_name."</a>".$path;
      else             $path=">".$row->dir_name.$path;
     }
    $dirID=$row->padreID;
   }
  return $path;
 }

function getPageType($page)
 {
  global $DB_PREFIX;
  
  if($page=="pagine") return 0;
  $row=mysql_fetch_object(faiQuery("SELECT * FROM ".$DB_PREFIX."_argomenti_pag WHERE arg_name=LCASE('$page')"));
  if($row->arg_pagID) return $row->arg_pagID;
  else return -1;
 }

function risistemaBlocchi() // Risistema i blocchi (riquadri) dopo la cancellazione, la modifica o l'aggiunta di un blocco
 {
  global $DB_PREFIX;

  $p=1;
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_blocchi ORDER BY posizione");
  while($row=mysql_fetch_object($result))
   {
    faiQuery("UPDATE ".$DB_PREFIX."_blocchi SET posizione='$p' WHERE blockID='$row->blockID'");
    $p++;
   }
 }

function risistemaMenu() // Risistema le voci della barra menu dopo la cancellazione, la modifica o l'aggiunta di una voce
 {
  global $DB_PREFIX;

  $p=1;
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_barra ORDER BY pos");
  while($row=mysql_fetch_object($result))
   {
    faiQuery("UPDATE ".$DB_PREFIX."_barra SET pos='$p' WHERE barID='$row->barID'");
    $p++;
   }
 }

function userMenu($f1,$f2,$f3,$f4,$f5,$f6,$f7,$f8)
 {
 	global $ADMIN,$INDEX,$DB_PREFIX,$usrlog;

 	$userID=getFieldTb("userID",$DB_PREFIX."_utenti"," WHERE login='$usrlog'");
 	$un_m=mysql_num_rows(faiQuery("SELECT * FROM ".$DB_PREFIX."_bbs WHERE toID='$userID' AND flag='1'"));
 	$str.="<nobr><img src=pic/freccia.gif border=0 align=absmiddle><a href=user.php?modo=9#9>$INDEX[64]</a> </nobr>";
 	if($f3) $str.="<nobr><img src=pic/freccia.gif border=0 align=absmiddle><a href=user.php?modo=11#11>$ADMIN[1547]($un_m)</a> </nobr>";
  if($f1 || $f2) $str.="<nobr><img src=pic/freccia.gif border=0 align=absmiddle><a href=user.php?modo=7#7>$ADMIN[1544]</a> </nobr>";
  if($f4) $str.="<nobr><img src=pic/freccia.gif border=0 align=absmiddle><a href=user.php?modo=20#20>$ADMIN[1545]</a> </nobr>";
  if($f5) $str.="<nobr><img src=pic/freccia.gif border=0 align=absmiddle><a href=user.php?modo=6#6>$ADMIN[1546]</a> </nobr>";
  if($f6) $str.="<nobr><img src=pic/freccia.gif border=0 align=absmiddle><a href=user.php?modo=16#16>$ADMIN[1552]</a> </nobr>";
  return $str;
 }

function creaVideata($label,$link,$po,$nu)
 {
  global $MAX_ITEMS;

  $msg=$label;
  for($i=1;$i<=$nu;$i++)
   {
    $st=($i-1)*$MAX_ITEMS;
    $lu=$MAX_ITEMS;
    if($i!=$po) $msg.="[<a href=$link&r_st=$st&r_lu=$lu&r_po=$i&r_nv=$nu>$i</a>]";
    else $msg.="[$i]";
   }
  return $msg;
 }

function contaTb($tb,$cond="")
 {
  global $DB_PREFIX;

  return mysql_num_rows(faiQuery("SELECT * FROM $DB_PREFIX".$tb." ".$cond));
 }

function updBRstat()
 {
  global $DB_PREFIX,$HTTP_USER_AGENT,$ADMIN;

  if(eregi("bot",$HTTP_USER_AGENT) || ereg("Google",$HTTP_USER_AGENT) || ereg("Slurp",$HTTP_USER_AGENT) || ereg("Scooter",$HTTP_USER_AGENT) || eregi("Spider",$HTTP_USER_AGENT) || eregi("Infoseek",$HTTP_USER_AGENT)) faiQuery("UPDATE ".$DB_PREFIX."_br_stat SET ricerca=ricerca+1");
  elseif(ereg("Nav",$HTTP_USER_AGENT) || ereg("Gold",$HTTP_USER_AGENT) || ereg("X11",$HTTP_USER_AGENT) || ereg("Mozilla",$HTTP_USER_AGENT) || ereg("Netscape",$HTTP_USER_AGENT) AND !ereg("MSIE",$HTTP_USER_AGENT) AND !ereg("Konqueror",$HTTP_USER_AGENT)) faiQuery("UPDATE ".$DB_PREFIX."_br_stat SET netscape=netscape+1");
  elseif(ereg("MSIE",$HTTP_USER_AGENT))      faiQuery("UPDATE ".$DB_PREFIX."_br_stat SET ie=ie+1");
  elseif(ereg("Lynx",$HTTP_USER_AGENT))      faiQuery("UPDATE ".$DB_PREFIX."_br_stat SET lynx=lynx+1");
  elseif(ereg("Opera",$HTTP_USER_AGENT))     faiQuery("UPDATE ".$DB_PREFIX."_br_stat SET opera=opera+1");
  elseif(ereg("WebTV",$HTTP_USER_AGENT))     faiQuery("UPDATE ".$DB_PREFIX."_br_stat SET webtv=webtv+1");
  elseif(ereg("Konqueror",$HTTP_USER_AGENT)) faiQuery("UPDATE ".$DB_PREFIX."_br_stat SET konqueror=konqueror+1");
  elseif(ereg("IBrowse",$HTTP_USER_AGENT))   faiQuery("UPDATE ".$DB_PREFIX."_br_stat SET ibrowse=ibrowse+1");
  else faiQuery("UPDATE ".$DB_PREFIX."_br_stat SET altro=altro+1");
 }

function updOSstat()
 {
  global $DB_PREFIX,$HTTP_USER_AGENT,$ADMIN;

  if(ereg("Mac",$HTTP_USER_AGENT) || ereg("PPC",$HTTP_USER_AGENT)) faiQuery("UPDATE ".$DB_PREFIX."_os_stat SET macos=macos+1");
  elseif(ereg("Win",$HTTP_USER_AGENT))     faiQuery("UPDATE ".$DB_PREFIX."_os_stat SET windows=windows+1");
  elseif(ereg("Linux",$HTTP_USER_AGENT))   faiQuery("UPDATE ".$DB_PREFIX."_os_stat SET linux=linux+1");
  elseif(ereg("FreeBSD",$HTTP_USER_AGENT)) faiQuery("UPDATE ".$DB_PREFIX."_os_stat SET freebsd=freebsd+1"); // Da finire
  elseif(ereg("SunOS",$HTTP_USER_AGENT))   faiQuery("UPDATE ".$DB_PREFIX."_os_stat SET sunos=sunos+1");
  elseif(ereg("IRIX",$HTTP_USER_AGENT))    faiQuery("UPDATE ".$DB_PREFIX."_os_stat SET irix=irix+1"); // Da finire
  elseif(ereg("BeOS",$HTTP_USER_AGENT))    faiQuery("UPDATE ".$DB_PREFIX."_os_stat SET beos=beos+1");
  elseif(ereg("OS/2",$HTTP_USER_AGENT))    faiQuery("UPDATE ".$DB_PREFIX."_os_stat SET os2=os2+1"); // Da finire
  elseif(ereg("AIX",$HTTP_USER_AGENT))     faiQuery("UPDATE ".$DB_PREFIX."_os_stat SET macos=macos+1");
  elseif(ereg("Amiga",$HTTP_USER_AGENT))   faiQuery("UPDATE ".$DB_PREFIX."_os_stat SET amigaos=amigaos+1");
  else  faiQuery("UPDATE ".$DB_PREFIX."_os_stat SET altro=altro+1");
 }

function updTimeStat()
 {
  global $DB_PREFIX;

  $ts=time();
  $dataora=date("Y/m/d/H/i/s",$ts);
  $data=date("Y/m/d",$ts);
  $nomegiorno=date("l",$ts);
  $anno=substr($dataora,0,4);
  $mese=substr($dataora,5,2);
  $giorno=substr($dataora,8,2);
  $ora=substr($dataora,11,2);
  $nomegiorno=daynameToNum($nomegiorno);
  
  faiQuery("LOCK TABLES ".$DB_PREFIX."_time_stat WRITE");
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_time_stat WHERE anno='$anno' AND mese='$mese' AND giorno='$giorno' AND ora='$ora' AND nomegiorno='$nomegiorno'");
  if(mysql_num_rows($result)!=0)
   {
    $row=mysql_fetch_object($result);
    $tstatID=$row->tstatID;
    faiQuery("UPDATE ".$DB_PREFIX."_time_stat SET hits=hits+1 WHERE tstatID='$tstatID'");
   }
  else faiQuery("INSERT INTO ".$DB_PREFIX."_time_stat VALUES('','$anno','$mese','$giorno','$ora','$nomegiorno','1','$ts','$dataora','$data')");
  faiQuery("UNLOCK TABLES");
 }

function updCountryStat()
 {
  global $DB_PREFIX;

  $ip=getenv('REMOTE_ADDR');
  $host=gethostbyaddr($ip);
  $country=substr(strrchr($host,'.'),1);
  $country=strtolower($country);
  faiQuery("UPDATE ".$DB_PREFIX."_country SET hits=hits+1 WHERE code='$country'");
 }

function updLastUser()
 {
  global $DB_PREFIX,$usrlog;

  $ts=time();
  $ip=getenv('REMOTE_ADDR');
  $dns=gethostbyaddr($ip);
  $id=getFieldTb("userID",$DB_PREFIX."_utenti","WHERE login='$usrlog'");
  faiQuery("UPDATE ".$DB_PREFIX."_counter SET lastusr_ip='$ip', lastusr_dns='$dns', lastusr_ID='$id', lastusr_ts='$ts'");
 }

function prendiLastID()
 {
  $result=faiQuery("SELECT LAST_INSERT_ID()");
  $row=mysql_fetch_array($result);
  return $row[0];
 }

function PrendiBanPref()
 {
  global $DB_PREFIX;

  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_pref");
  $row=mysql_fetch_object($result);
  return $row->banner;
 }

function PrendiLogPref()
 {
  global $DB_PREFIX;

  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_pref");
  $row=mysql_fetch_object($result);
  return $row->log_on;
 }

function PrendiPrefTit($n)
 {
  global $DB_PREFIX, $act_lang;

  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_morepref WHERE ling='$act_lang'");
  $row=mysql_fetch_object($result);
  if($n==1) return $row->titolo;
  if($n==2) return $row->big_titolo;
 }

function prendiUsrPwd($login)
 {
  global $DB_PREFIX;

  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_utenti WHERE login='$login' AND cancellato=2");
  if(mysql_num_rows($result)!=0)
   {
    $row=mysql_fetch_object($result);
    return $row->password;
   }
  return "";
 }

function prendiAdminPwd($login)
 {
  global $ADMIN_PASSWORD,$ADMIN_LOGIN,$DB_PREFIX;

  if($login==$ADMIN_LOGIN) return $ADMIN_PASSWORD; // Amministratore principale
  if(defined('_WM_IS_SETUP')) return; // Siamo in setup la prima volta (non esiste ancora il database) inoltre solo l'amministratore primario pu entrare in setup.php
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_utenti WHERE login='$login' AND isadmin=1 AND attivo=1 AND cancellato=2");
  if(mysql_num_rows($result)!=0)
   {
    $row=mysql_fetch_object($result);
    return $row->password;
   }
  return "";
 }

function haPermesso($nflag)
 {
  // Torna 1 se l'amministratore ha il permesso di codice $nflag
  // altrimenti torna 0
  global $adminlog,$password,$ADMIN_PASSWORD,$ADMIN_LOGIN,$DB_PREFIX;

  if($adminlog=="$ADMIN_LOGIN" && $password=="$ADMIN_PASSWORD") return 1; // Amministratore principale
  if($nflag==0) return 0; // $nflag==0 significa che solo l'amministratore principale ha il permesso
  return getFieldTb("af$nflag",$DB_PREFIX."_utenti"," WHERE login='$adminlog'");
 }

function anyUserLogged($admin=0,$per=0)
 {
  // Se $admin=0 torna 1 se l'amministratore o l'utente sono loggati
  // Se $admin=1 torna 1 se l'amministratore  loggato
  // Se $admin=2 torna 1 se l'utente  loggato
  // $per deve essere diverso da zero se ho un permesso da controllare (deve essere accoppiato con $admin=1)
  global $usrlog,$adminlog,$usrpas,$password;
  
  if($per) if(!haPermesso($per)) return 0;
  if($admin==0)
   {
    if($password==prendiAdminPwd($adminlog) && $password!="") return 1;
    if(isset($usrlog) && isset($usrpas))
     {
      if(prendiUsrPwd($usrlog)==$usrpas) return 1; else return 0;
     }
    else return 0;
   }
  if($admin==1) if($password==prendiAdminPwd($adminlog) && $password!="") return 1;
  if($admin==2)
   {
    if(isset($usrlog) && isset($usrpas))
     {
      if(prendiUsrPwd($usrlog)==$usrpas) return 1; else return 0;
     }
    else return 0;
   }
  return 0;
 }

function cookieWebmail()
 {
 	global $wmail_log,$wmail_pwd,$serverID,$dpage,$page,$webmail,$azione,$pagID;
 	global $wmaillog,$wmailpwd,$wmserverID;
 	
 	if($dpage=="pagine" && $page=="webmail" && $webmail=="login" && $pagID) // set cookie
 	 {
 	 	$mbox=connMailbox($serverID,1); 
 	 	if($mbox)
 	 	 {
 	 	  $wmaillog=$wmail_log;
 	 	  $wmailpwd=$wmail_pwd;
 	 	  $wmserverID=$serverID;
 	    setcookie("wmaillog","$wmail_log");
 	    setcookie("wmailpwd","$wmail_pwd");
 	    setcookie("wmserverID","$serverID");
 	   }
 	 }
 	if($dpage=="pagine" && $page=="webmail" && !$webmail && $azione=="logout" && $pagID) // unset cookie
 	 {
 	  $wmaillog=$wmail_log="";
 	 	$wmailpwd=$wmail_pwd="";
 	 	$wmserverID=$serverID="";
 	  setcookie("wmaillog","",time()-3600);
 	  setcookie("wmailpwd","",time()-3600);
 	  setcookie("wmserverID","",time()-3600);
 	 }
 }

function connMailbox($serverID,$fl=0)
 {
 	global $DB_PREFIX,$wmaillog,$wmailpwd,$wmail_log,$wmail_pwd;

  if(!$serverID) return;
  if($fl==1) { $wmaillog=$wmail_log; $wmailpwd=$wmail_pwd; }
	$result=faiQuery("SELECT * FROM ".$DB_PREFIX."_webmail_server WHERE serverID=$serverID");
 	if(mysql_num_rows($result)==0) return;
 	$row=mysql_fetch_object($result);
 	if($row->usesuffix==1) $mbox=@imap_open("{".$row->address.":".$row->port."/".$row->protocol."}INBOX",$wmaillog.$row->suffix,$wmailpwd);
 	else $mbox=@imap_open("{".$row->address.":".$row->port."/".$row->protocol."}INBOX",$wmaillog,$wmailpwd);
 	return $mbox;
 }

function AutenticazioneUtente()
 {
  global $usrlog,$usrpas,$usrcss,$DB_PREFIX,$LOGO,$TITOLO,$BIG_TITOLO,$act_lang,$FOOT_CONT,$FOOT_CONDAT,$ADMIN;
  global $t1a,$t1c,$t3a,$t3c,$c1a,$c1c,$c3a,$c3c,$f1a,$f1c,$f3a,$f3c,$h1a,$h1c,$h3a,$h3c;
  global $t_row1,$t_row2,$c_row1,$c_row2,$f_row,$f_row1,$f_row2,$html_canali,$h_row1,$h_row2;
  global $hb_row1,$hb_row2,$tc_row1,$tc_row2,$cc_row1,$cc_row2;
  global $MANDA,$VER;
  global $P_USER;

  if(!isset($usrlog) || !isset($usrpas)) // Se la login o la password non sono settati
   {
    if(!isset($_COOKIE['usrcss'])) $act_css=GetFieldTb("file_css",$DB_PREFIX."_pref","");
    else $act_css=$usrcss;
    require("stili/$act_css/sep.php");
    creaStile($act_css);
    require($P_USER."user_pwd.inc");
   } 
  else
   {
    if($usrpas==PrendiUsrPwd($usrlog) && $usrpas!="")
     {    
      setcookie("usrlog","$usrlog"); // If controllo login e password  ok setta i cookie
      setcookie("usrpas","$usrpas"); 
      if($MANDA) header("Location: $MANDA"); // Redirect alla URL contenuta in $MANDA
      return 1;
     }
    else
     {
      $pmsg=$ADMIN[289];
      if(!isset($_COOKIE['usrcss'])) $act_css=GetFieldTb("file_css",$DB_PREFIX."_pref","");
      else $act_css=$usrcss;
      require("stili/$act_css/sep.php");
      creaStile($act_css);
      require($P_USER."user_pwd.inc");
     }
   }
 } 

function Autenticazione($tipo)
 {
  global $password,$adminlog,$usrcss,$VERIFY_TB,$DB_PREFIX,$pmsg,$ADMIN;
  global $t1a,$t1c,$t3a,$t3c,$c1a,$c1c,$c3a,$c3c,$f1a,$f1c,$f3a,$f3c,$h1a,$h1c,$h3a,$h3c;
  global $t_row1,$t_row2,$c_row1,$c_row2,$f_row1,$f_row2,$h_row1,$h_row2;
  global $hb_row1,$hb_row2,$tc_row1,$tc_row2,$cc_row1,$cc_row2;
  global $P_ADMIN,$P_SETUP;

  if(!isset($password) && !isset($adminlog))
   {
    if(!isset($_COOKIE['usrcss'])) { if(ExistTb($VERIFY_TB)) $act_css=GetFieldTb("file_css",$DB_PREFIX."_pref",""); else $act_css="default"; }
    else $act_css=$usrcss;
    require("stili/$act_css/sep.php");
    creaStile($act_css);
    if($tipo) require($P_ADMIN."admin_pwd.inc");
    else require($P_SETUP."setup_pwd.inc");
   } 
  else
   {
    if($password==prendiAdminPwd($adminlog) && $password!="")
     {
      setcookie("adminlog","$adminlog"); // controllo login  ok setta il cookie
      setcookie("password","$password"); // controllo password  ok setta il cookie
      return 1;
     }
    else
     {
      $pmsg=$ADMIN[288];
      if(!isset($_COOKIE['usrcss'])) { if(ExistTb($VERIFY_TB)) $act_css=GetFieldTb("file_css",$DB_PREFIX."_pref",""); else $act_css="default"; }
      else $act_css=$usrcss;
      require("stili/$act_css/sep.php");
      creaStile($act_css);
      if($tipo) require($P_ADMIN."admin_pwd.inc");
      else require($P_SETUP."setup_pwd.inc");
     }
   }
 }

function LogoutUtente()
 {
  setcookie("usrlog","",time()-3600);
  setcookie("usrpas","",time()-3600);
  header("Location: index.php?page=home"); // Redirect alla home page
  die;
 } 

function LogoutAdmin()
 {
  setcookie("adminlog","",time()-3600);
  setcookie("password","",time()-3600);
  header("Location: admin.php"); // Redirect al pannello di login
  die;
 }

function SettaCookieLingua($lin)
 {
  global $START_LANG;

  if(!isset($_COOKIE['usrlang']))
   {
    setcookie("usrlang",$START_LANG,time()+3600*24*365); // Lingua di default
    return $START_LANG;
   }
  else 
   {
    if($lin)
     {
      setcookie("usrlang","$lin",time()+3600*24*365); // Setta la lingua
      return $lin;
     }
   }
  return intval($_COOKIE['usrlang']);
 }

function SettaCookieOroscopo($segno)
 {
  global $ariete,$toro,$gemelli,$cancro,$leone,$vergine,$bilancia,$scorpione,$sagittario,$capricorno,$acquario,$pesci;
  global $aries,$taurus,$gemini,$cancer,$leo,$virgo,$libra,$scorpio,$sagittarius,$capricorn,$aquarius,$pisces;
  global $DB_PREFIX, $act_lang;

  // Fare in tutte le lingue i valori dei cookie per l'oroscopo (tutti i segni in tutte le lingue)
  $a=date(H); $b=date(i); $c=date(s); $now=$a*3600+$b*60+$c; $sum=3600*24-$now; // Calcola quanti secondi mancano alla fine della giornata attuale
  if($segno=="Ariete")
   {
    if(!isset($_COOKIE['ariete']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("ariete","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$ariete;
   }
  if($segno=="Toro")
   {
    if(!isset($_COOKIE['toro']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("toro","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$toro;
   }
  if($segno=="Gemelli")
   {
    if(!isset($_COOKIE['gemelli']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("gemelli","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$gemelli;
   }
  if($segno=="Cancro")
   {
    if(!isset($_COOKIE['cancro']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("cancro","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$cancro;
   }
  if($segno=="Leone")
   {
    if(!isset($_COOKIE['leone']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("leone","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$leone;
   }
  if($segno=="Vergine")
   {
    if(!isset($_COOKIE['vergine']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("vergine","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$vergine;
   }
  if($segno=="Bilancia")
   {
    if(!isset($_COOKIE['bilancia']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("bilancia","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$bilancia;
   }
  if($segno=="Scorpione")
   {
    if(!isset($_COOKIE['scorpione']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("scorpione","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$scorpione;
   }
  if($segno=="Sagittario")
   {
    if(!isset($_COOKIE['sagittario']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("sagittario","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$sagittario;
   }
  if($segno=="Capricorno")
   {
    if(!isset($_COOKIE['capricorno']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("capricorno","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$capricorno;
   }
  if($segno=="Acquario")
   {
    if(!isset($_COOKIE['acquario']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("acquario","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$acquario;
   }
  if($segno=="Pesci")
   {
    if(!isset($_COOKIE['pesci']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("pesci","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$pesci;
   }
  if($segno=="Aries")
   {
    if(!isset($_COOKIE['aries']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("aries","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$aries;
   }
  if($segno=="Taurus")
   {
    if(!isset($_COOKIE['taurus']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("taurus","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$taurus;
   }
  if($segno=="Gemini")
   {
    if(!isset($_COOKIE['gemini']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("gemini","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$gemini;
   }
  if($segno=="Cancer")
   {
    if(!isset($_COOKIE['cancer']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("cancer","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$cancer;
   }
  if($segno=="Leo")
   {
    if(!isset($_COOKIE['leo']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("leo","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$leo;
   }
  if($segno=="Virgo")
   {
    if(!isset($_COOKIE['virgo']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("virgo","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$virgo;
   }
  if($segno=="Libra")
   {
    if(!isset($_COOKIE['libra']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("libra","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$libra;
   }
  if($segno=="Scorpio")
   {
    if(!isset($_COOKIE['scorpio']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("scorpio","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$scorpio;
   }
  if($segno=="Sagittarius")
   {
    if(!isset($_COOKIE['sagittarius']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("sagittarius","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$sagittarius;
   }
  if($segno=="Capricorn")
   {
    if(!isset($_COOKIE['capricorn']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("capricorn","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$capricorn;
   }
  if($segno=="Aquarius")
   {
    if(!isset($_COOKIE['aquarius']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("aquarius","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$aquarius;
   }
  if($segno=="Pisces")
   {
    if(!isset($_COOKIE['pisces']))
     {
      $rrow_oros=GetRandRow($DB_PREFIX."_oroscopo","orosID","WHERE ling='$act_lang'");
      if($rrow_oros!=0) setcookie("pisces","$rrow_oros",time()+$sum); // Il cookie scade alla mezzanotte del giorno corrente
     }
    else $rrow_oros=$pisces;
   }
  return $rrow_oros;
 }

function creaBarrastat($per,$dim=2,$al=0,$dir=0,$w=3,$alt="",$max_per=100,$spessore=18,$bordo=1)
 {
 	$per*=(100/$max_per);	
  if($dir==0)
   {
    $per*=$dim;
    $emp=(100*$dim)-$per;
    if($al=="1") $ali="align=absmiddle";
    if($bordo) $str="<img src=pic/bar_left.gif width=2 $ali height=$spessore>";
    if($per!=0) $str.="<img src=pic/bar_si.gif width=$per $ali height=$spessore>";
    if($emp!=0) $str.="<img src=pic/bar_no.gif width=$emp $ali height=$spessore>";
    if($bordo) $str.="<img src=pic/bar_right.gif width=2 $ali height=$spessore>";
   }
  else
   {
    $per*=$dim;
    $emp=(100*$dim)-$per;
    if($alt!="") $alt="alt=".$alt;
    if($emp!=0)
     {
      if($per==0) $emp+=2*$al-1;
      $str.="<img src=pic/bar_top.gif width=$w height=$emp $alt border=$al><br>";
     }
    if($per!=0)
     {
      if($emp==0) $per+=2*$al-1;
      $str.="<img src=pic/bar_down.gif width=$w $alt height=$per $alt border=$al><br>";
     }
   }
  return $str;
 }

function creaStile($css)
 {
  global $t1a,$t1c,$t3a,$t3c,$c1a,$c1c,$c3a,$c3c,$f1a,$f1c,$f3a,$f3c,$h1a,$h1c,$h3a,$h3c;
  global $t_row1,$t_row2,$c_row1,$c_row2,$f_row1,$f_row2,$h_row1,$h_row2,$f_row;
  global $hb_row1,$hb_row2,$tc_row1,$tc_row2,$cc_row1,$cc_row2;

  global $SS_VER;
  global $t1al,$t1cl,$t3al,$t3cl,$c1al,$c1cl,$c3al,$c3cl,$t_row1l,$t_row2l,$c_row1l,$c_row2l; // Left
  global $t1ac,$t1cc,$t3ac,$t3cc,$c1ac,$c1cc,$c3ac,$c3cc,$t_row1c,$t_row2c,$c_row1c,$c_row2c; // Center
  global $t1ar,$t1cr,$t3ar,$t3cr,$c1ar,$c1cr,$c3ar,$c3cr,$t_row1r,$t_row2r,$c_row1r,$c_row2r; // Right
  global $t1an,$t1cn,$t3an,$t3cn,$c1an,$c1cn,$c3an,$c3cn,$t_row1n,$t_row2n,$c_row1n,$c_row2n; // Notizie

  if($SS_VER==2)
   {
    // Titolo (left)
    if(fileExist("stili/$css/t_1al.gif")) $t1al="<img src=stili/$css/t_1al.gif>";
    if(fileExist("stili/$css/t_1cl.gif")) $t1cl="<img src=stili/$css/t_1cl.gif>";
    if(fileExist("stili/$css/t_1al.gif") || fileExist("stili/$css/t_1cl.gif"))
     {
      $t_row1l="<tr><td class=t1al width=0%>$t1al</td><td class=t1bl background=\"\" width=100%></td><td class=t1cl width=0%>$t1cl</td></tr>";
      $tc_row1l="<tr><td class=t1al width=0%>$t1al</td><td colspan=2 class=t1bl background=\"\" width=100%></td><td class=t1cl width=0%>$t1cl</td></tr>";
     }
    if(fileExist("stili/$css/t_3al.gif")) $t3al="<img src=stili/$css/t_3al.gif>";
    if(fileExist("stili/$css/t_3cl.gif")) $t3cl="<img src=stili/$css/t_3cl.gif>";
    if(fileExist("stili/$css/t_3al.gif") || fileExist("stili/$css/t_3cl.gif")) 
     {
      $t_row2l="<tr><td class=t3al width=0%>$t3al</td><td class=t3bl background=\"\" width=100%></td><td class=t3cl width=0%>$t3cl</td></tr>";
      $tc_row2l="<tr><td class=t3al width=0%>$t3al</td><td colspan=2 class=t3bl background=\"\" width=100%></td><td class=t3cl width=0%>$t3cl</td></tr>";
     }
    // Corpo (left)
    if(fileExist("stili/$css/c_1al.gif")) $c1al="<img src=stili/$css/c_1al.gif>";
    if(fileExist("stili/$css/c_1cl.gif")) $c1cl="<img src=stili/$css/c_1cl.gif>";
    if(fileExist("stili/$css/c_1al.gif") || fileExist("stili/$css/c_1cl.gif"))
     {
      $c_row1l="<tr><td class=c1al width=0%>$c1al</td><td class=c1bl background=\"\" width=100%></td><td class=c1cl width=0%>$c1cl</td></tr>";
      $cc_row1l="<tr><td class=c1al width=0%>$c1al</td><td colspan=2 class=c1bl background=\"\" width=100%></td><td class=c1cl width=0%>$c1cl</td></tr>";
     }
    if(fileExist("stili/$css/c_3al.gif")) $c3al="<img src=stili/$css/c_3al.gif>";
    if(fileExist("stili/$css/c_3cl.gif")) $c3cl="<img src=stili/$css/c_3cl.gif>";
    if(fileExist("stili/$css/c_3al.gif") || fileExist("stili/$css/c_3cl.gif"))
     {
      $c_row2l="<tr><td class=c3al width=0%>$c3al</td><td class=c3bl background=\"\" width=100%></td><td class=c3cl width=0%>$c3cl</td></tr>";
      $cc_row2l="<tr><td class=c3al width=0%>$c3al</td><td colspan=2 class=c3bl background=\"\" width=100%></td><td class=c3cl width=0%>$c3cl</td></tr>";
     }

    // Titolo (center)
    if(fileExist("stili/$css/t_1ac.gif")) $t1ac="<img src=stili/$css/t_1ac.gif>";
    if(fileExist("stili/$css/t_1cc.gif")) $t1cc="<img src=stili/$css/t_1cc.gif>";
    if(fileExist("stili/$css/t_1ac.gif") || fileExist("stili/$css/t_1cc.gif"))
     {
      $t_row1c="<tr><td class=t1ac width=0%>$t1ac</td><td class=t1bc background=\"\" width=100%></td><td class=t1cc width=0%>$t1cc</td></tr>";
      $tc_row1c="<tr><td class=t1ac width=0%>$t1ac</td><td colspan=2 class=t1bc background=\"\" width=100%></td><td class=t1cc width=0%>$t1cc</td></tr>";
     }
    if(fileExist("stili/$css/t_3ac.gif")) $t3ac="<img src=stili/$css/t_3ac.gif>";
    if(fileExist("stili/$css/t_3cc.gif")) $t3cc="<img src=stili/$css/t_3cc.gif>";
    if(fileExist("stili/$css/t_3ac.gif") || fileExist("stili/$css/t_3cc.gif")) 
     {
      $t_row2c="<tr><td class=t3ac width=0%>$t3ac</td><td class=t3bc background=\"\" width=100%></td><td class=t3cc width=0%>$t3cc</td></tr>";
      $tc_row2c="<tr><td class=t3ac width=0%>$t3ac</td><td colspan=2 class=t3bc background=\"\" width=100%></td><td class=t3cc width=0%>$t3cc</td></tr>";
     }
    // Corpo (center)
    if(fileExist("stili/$css/c_1ac.gif")) $c1ac="<img src=stili/$css/c_1ac.gif>";
    if(fileExist("stili/$css/c_1cc.gif")) $c1cc="<img src=stili/$css/c_1cc.gif>";
    if(fileExist("stili/$css/c_1ac.gif") || fileExist("stili/$css/c_1cc.gif"))
     {
      $c_row1c="<tr><td class=c1ac width=0%>$c1ac</td><td class=c1bc background=\"\" width=100%></td><td class=c1cc width=0%>$c1cc</td></tr>";
      $cc_row1c="<tr><td class=c1ac width=0%>$c1ac</td><td colspan=2 class=c1bc background=\"\" width=100%></td><td class=c1cc width=0%>$c1cc</td></tr>";
     }
    if(fileExist("stili/$css/c_3ac.gif")) $c3ac="<img src=stili/$css/c_3ac.gif>";
    if(fileExist("stili/$css/c_3cc.gif")) $c3cc="<img src=stili/$css/c_3cc.gif>";
    if(fileExist("stili/$css/c_3ac.gif") || fileExist("stili/$css/c_3cc.gif"))
     {
      $c_row2c="<tr><td class=c3ac width=0%>$c3ac</td><td class=c3bc background=\"\" width=100%></td><td class=c3cc width=0%>$c3cc</td></tr>";
      $cc_row2c="<tr><td class=c3ac width=0%>$c3ac</td><td colspan=2 class=c3bc background=\"\" width=100%></td><td class=c3cc width=0%>$c3cc</td></tr>";
     }

    // Titolo (right)
    if(fileExist("stili/$css/t_1ar.gif")) $t1ar="<img src=stili/$css/t_1ar.gif>";
    if(fileExist("stili/$css/t_1cr.gif")) $t1cr="<img src=stili/$css/t_1cr.gif>";
    if(fileExist("stili/$css/t_1ar.gif") || fileExist("stili/$css/t_1cr.gif"))
     {
      $t_row1r="<tr><td class=t1ar width=0%>$t1ar</td><td class=t1br background=\"\" width=100%></td><td class=t1cr width=0%>$t1cr</td></tr>";
      $tc_row1r="<tr><td class=t1ar width=0%>$t1ar</td><td colspan=2 class=t1br background=\"\" width=100%></td><td class=t1cr width=0%>$t1cr</td></tr>";
     }
    if(fileExist("stili/$css/t_3ar.gif")) $t3ar="<img src=stili/$css/t_3ar.gif>";
    if(fileExist("stili/$css/t_3cr.gif")) $t3cr="<img src=stili/$css/t_3cr.gif>";
    if(fileExist("stili/$css/t_3ar.gif") || fileExist("stili/$css/t_3cr.gif")) 
     {
      $t_row2r="<tr><td class=t3ar width=0%>$t3ar</td><td class=t3br background=\"\" width=100%></td><td class=t3cr width=0%>$t3cr</td></tr>";
      $tc_row2r="<tr><td class=t3ar width=0%>$t3ar</td><td colspan=2 class=t3br background=\"\" width=100%></td><td class=t3cr width=0%>$t3cr</td></tr>";
     }
    // Corpo (right)
    if(fileExist("stili/$css/c_1ar.gif")) $c1ar="<img src=stili/$css/c_1ar.gif>";
    if(fileExist("stili/$css/c_1cr.gif")) $c1cr="<img src=stili/$css/c_1cr.gif>";
    if(fileExist("stili/$css/c_1ar.gif") || fileExist("stili/$css/c_1cr.gif"))
     {
      $c_row1r="<tr><td class=c1ar width=0%>$c1ar</td><td class=c1br background=\"\" width=100%></td><td class=c1cr width=0%>$c1cr</td></tr>";
      $cc_row1r="<tr><td class=c1ar width=0%>$c1ar</td><td colspan=2 class=c1br background=\"\" width=100%></td><td class=c1cr width=0%>$c1cr</td></tr>";
     }
    if(fileExist("stili/$css/c_3ar.gif")) $c3ar="<img src=stili/$css/c_3ar.gif>";
    if(fileExist("stili/$css/c_3cr.gif")) $c3cr="<img src=stili/$css/c_3cr.gif>";
    if(fileExist("stili/$css/c_3ar.gif") || fileExist("stili/$css/c_3cr.gif"))
     {
      $c_row2r="<tr><td class=c3ar width=0%>$c3ar</td><td class=c3br background=\"\" width=100%></td><td class=c3cr width=0%>$c3cr</td></tr>";
      $cc_row2r="<tr><td class=c3ar width=0%>$c3ar</td><td colspan=2 class=c3br background=\"\" width=100%></td><td class=c3cr width=0%>$c3cr</td></tr>";
     }

    // Titolo (notizie)
    if(fileExist("stili/$css/t_1an.gif")) $t1an="<img src=stili/$css/t_1an.gif>";
    if(fileExist("stili/$css/t_1cn.gif")) $t1cn="<img src=stili/$css/t_1cn.gif>";
    if(fileExist("stili/$css/t_1an.gif") || fileExist("stili/$css/t_1cn.gif"))
     {
      $t_row1n="<tr><td class=t1an width=0%>$t1an</td><td class=t1bn background=\"\" width=100%></td><td class=t1cn width=0%>$t1cn</td></tr>";
      $tc_row1n="<tr><td class=t1an width=0%>$t1an</td><td colspan=2 class=t1bn background=\"\" width=100%></td><td class=t1cn width=0%>$t1cn</td></tr>";
     }
    if(fileExist("stili/$css/t_3an.gif")) $t3an="<img src=stili/$css/t_3an.gif>";
    if(fileExist("stili/$css/t_3cn.gif")) $t3cn="<img src=stili/$css/t_3cn.gif>";
    if(fileExist("stili/$css/t_3an.gif") || fileExist("stili/$css/t_3cn.gif")) 
     {
      $t_row2n="<tr><td class=t3an width=0%>$t3an</td><td class=t3bn background=\"\" width=100%></td><td class=t3cn width=0%>$t3cn</td></tr>";
      $tc_row2n="<tr><td class=t3an width=0%>$t3an</td><td colspan=2 class=t3bn background=\"\" width=100%></td><td class=t3cn width=0%>$t3cn</td></tr>";
     }
    // Corpo (notizie)
    if(fileExist("stili/$css/c_1an.gif")) $c1an="<img src=stili/$css/c_1an.gif>";
    if(fileExist("stili/$css/c_1cn.gif")) $c1cn="<img src=stili/$css/c_1cn.gif>";
    if(fileExist("stili/$css/c_1an.gif") || fileExist("stili/$css/c_1cn.gif"))
     {
      $c_row1n="<tr><td class=c1an width=0%>$c1an</td><td class=c1bn background=\"\" width=100%></td><td class=c1cn width=0%>$c1cn</td></tr>";
      $cc_row1n="<tr><td class=c1an width=0%>$c1an</td><td colspan=2 class=c1bn background=\"\" width=100%></td><td class=c1cn width=0%>$c1cn</td></tr>";
     }
    if(fileExist("stili/$css/c_3an.gif")) $c3an="<img src=stili/$css/c_3an.gif>";
    if(fileExist("stili/$css/c_3cn.gif")) $c3cn="<img src=stili/$css/c_3cn.gif>";
    if(fileExist("stili/$css/c_3an.gif") || fileExist("stili/$css/c_3cn.gif"))
     {
      $c_row2n="<tr><td class=c3an width=0%>$c3an</td><td class=c3bn background=\"\" width=100%></td><td class=c3cn width=0%>$c3cn</td></tr>";
      $cc_row2n="<tr><td class=c3an width=0%>$c3an</td><td colspan=2 class=c3bn background=\"\" width=100%></td><td class=c3cn width=0%>$c3cn</td></tr>";
     }
   }

  // Titolo
  if(fileExist("stili/$css/t_1a.gif")) $t1a="<img src=stili/$css/t_1a.gif>";
  if(fileExist("stili/$css/t_1c.gif")) $t1c="<img src=stili/$css/t_1c.gif>";
  if(fileExist("stili/$css/t_1a.gif") || fileExist("stili/$css/t_1c.gif"))
   {
    $t_row1="<tr><td class=t1a width=0%>$t1a</td><td class=t1b background=\"\" width=100%></td><td class=t1c width=0%>$t1c</td></tr>";
    $tc_row1="<tr><td class=t1a width=0%>$t1a</td><td colspan=2 class=t1b background=\"\" width=100%></td><td class=t1c width=0%>$t1c</td></tr>";
   }
  if(fileExist("stili/$css/t_3a.gif")) $t3a="<img src=stili/$css/t_3a.gif>";
  if(fileExist("stili/$css/t_3c.gif")) $t3c="<img src=stili/$css/t_3c.gif>";
  if(fileExist("stili/$css/t_3a.gif") || fileExist("stili/$css/t_3c.gif")) 
   {
    $t_row2="<tr><td class=t3a width=0%>$t3a</td><td class=t3b background=\"\" width=100%></td><td class=t3c width=0%>$t3c</td></tr>";
    $tc_row2="<tr><td class=t3a width=0%>$t3a</td><td colspan=2 class=t3b background=\"\" width=100%></td><td class=t3c width=0%>$t3c</td></tr>";
   }
  // Corpo
  if(fileExist("stili/$css/c_1a.gif")) $c1a="<img src=stili/$css/c_1a.gif>";
  if(fileExist("stili/$css/c_1c.gif")) $c1c="<img src=stili/$css/c_1c.gif>";
  if(fileExist("stili/$css/c_1a.gif") || fileExist("stili/$css/c_1c.gif"))
   {
    $c_row1="<tr><td class=c1a width=0%>$c1a</td><td class=c1b background=\"\" width=100%></td><td class=c1c width=0%>$c1c</td></tr>";
    $cc_row1="<tr><td class=c1a width=0%>$c1a</td><td colspan=2 class=c1b background=\"\" width=100%></td><td class=c1c width=0%>$c1c</td></tr>";
   }
  if(fileExist("stili/$css/c_3a.gif")) $c3a="<img src=stili/$css/c_3a.gif>";
  if(fileExist("stili/$css/c_3c.gif")) $c3c="<img src=stili/$css/c_3c.gif>";
  if(fileExist("stili/$css/c_3a.gif") || fileExist("stili/$css/c_3c.gif"))
   {
    $c_row2="<tr><td class=c3a width=0%>$c3a</td><td class=c3b background=\"\" width=100%></td><td class=c3c width=0%>$c3c</td></tr>";
    $cc_row2="<tr><td class=c3a width=0%>$c3a</td><td colspan=2 class=c3b background=\"\" width=100%></td><td class=c3c width=0%>$c3c</td></tr>";
   }
  // Foot
  if(fileExist("stili/$css/f_left.gif"))  $fa="<img src=stili/$css/f_left.gif>";
  if(fileExist("stili/$css/f_right.gif")) $fc="<img src=stili/$css/f_right.gif>";
  if(fileExist("stili/$css/f_left.gif") || fileExist("stili/$css/f_right.gif")) $f_row="<tr><td class=fa width=0%>$fa</td><td class=fb background=\"\" width=100%></td><td class=fc width=0%>$fc</td></tr>";
  if(fileExist("stili/$css/f_1a.gif")) $f1a="<img src=stili/$css/f_1a.gif>";
  if(fileExist("stili/$css/f_1c.gif")) $f1c="<img src=stili/$css/f_1c.gif>";
  if(fileExist("stili/$css/f_1a.gif") || fileExist("stili/$css/f_1c.gif")) $f_row1="<tr><td class=f1a background=\"\" width=0%>$f1a</td><td class=f1b background=\"\" width=100%></td><td class=f1c width=0%>$f1c</td></tr>";
  if(fileExist("stili/$css/f_3a.gif")) $f3a="<img src=stili/$css/f_3a.gif>";
  if(fileExist("stili/$css/f_3c.gif")) $f3c="<img src=stili/$css/f_3c.gif>";
  if(fileExist("stili/$css/f_3a.gif") || fileExist("stili/$css/f_3c.gif")) $f_row2="<tr><td class=f3a background=\"\" width=0%>$f3a</td><td class=f3b background=\"\" width=100%></td><td class=f3c width=0%>$f3c</td></tr>";
  // Head
  if(fileExist("stili/$css/h_1a.gif")) $h1a="<img src=stili/$css/h_1a.gif>";
  if(fileExist("stili/$css/h_1c.gif")) $h1c="<img src=stili/$css/h_1c.gif>";
  if(fileExist("stili/$css/h_1a.gif") || fileExist("stili/$css/h_1c.gif"))
   {
    $h_row1 ="<tr><td class=h1a width=0%>$h1a</td><td class=h1b background=\"\" width=100%></td><td class=h1c width=0%>$h1c</td></tr>";
    $hb_row1="<tr><td class=h1a width=0%>$h1a</td><td class=h1b background=\"\" colspan=4 width=100%></td><td class=h1c width=0%>$h1c</td></tr>"; // Intestazione con i banner
   }
  if(fileExist("stili/$css/h_3a.gif")) $h3a="<img src=stili/$css/h_3a.gif>";
  if(fileExist("stili/$css/h_3c.gif")) $h3c="<img src=stili/$css/h_3c.gif>";
  if(fileExist("stili/$css/h_3a.gif") || fileExist("stili/$css/h_3c.gif")) 
   {
    $h_row2 ="<tr><td class=h3a width=0%>$h3a</td><td class=h3b background=\"\" width=100%></td><td class=h3c width=0%>$h3c</td></tr>";
    $hb_row2="<tr><td class=h3a width=0%>$h3a</td><td class=h3b background=\"\" colspan=4 width=100%></td><td class=h3c width=0%>$h3c</td></tr>"; // Intestazione con i banner
   }
 }

function creaAdminPic($pe,$mo,$pic,$frase)
 {
  global $ADMIN;
  
  if(haPermesso($pe)) return "<a href=admin.php?modo=$mo#$mo><img src=pic/$pic width=48 height=48 border=0 alt=\"$ADMIN[$frase]\"></a>";
  else return "<img src=pic/lucchetto.gif width=48 height=48 border=0>";
 }

function GetRandRow($table,$field,$cond="") // Prende una riga casuale dalla tabella $table e ritorna il campo $field
 {
  $result=faiQuery("SELECT * FROM $table $cond");
  $nur=mysql_num_rows($result);
  if($nur==0) return 0;
  $rand=rand(1,$nur);
  for($i=1;$i<=$rand;$i++) $row=mysql_fetch_array($result);
  return $row[$field];
 }

function getLogo()
 {
  global $DB_PREFIX;

  $logo=GetFieldTb("logo",$DB_PREFIX."_pref","");
  if(checkExt($logo,array('swf')))
   {
    $x=GetFieldTb("logox",$DB_PREFIX."_pref","");
    $y=GetFieldTb("logoy",$DB_PREFIX."_pref","");
    return "<object classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0\" width=\"$x\" height=\"$y\">
             <param name=movie value=\"pic/logo/$logo\">
             <param name=menu value=false>
             <param name=quality value=high>
             <embed src=\"pic/logo/$logo\" quality=high menu=false pluginspage=\"http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash\" type=\"application/x-shockwave-flash\" width=\"$x\" height=\"$y\">
            </embed></object>";
   }
  else return "<img src=\"pic/logo/$logo\" border=0>";
 }

function PrendiBan($num)
 {
  global $DB_PREFIX;  

  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_pref");
  $row=mysql_fetch_object($result);
  if($num==1) $banID=$row->id_ban1;
  if($num==2) $banID=$row->id_ban2;
  if($num==3) $banID=$row->id_ban3;
  if($num==4) $banID=$row->id_ban4;
  if($num==5) $banID=$row->id_ban5;
  if($num==6) $banID=$row->id_ban6;
  if($num==7) $banID=$row->id_ban7;
  if($num==8) $banID=$row->id_ban8;
  if($num==9) $banID=$row->id_ban9;
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_banners WHERE banID=$banID");
  if(mysql_num_rows($result)!=0)
   {
    $row=mysql_fetch_object($result);
    return dequote($row->html);
   }
 }

function getRbanner($out=0)
 {
  global $DB_PREFIX,$act_lang,$SITE_ADDR;

  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_banners_rot WHERE ((ling='$act_lang' AND impressions>0) OR (any_lang=1 AND impressions>0) OR (any_lang=1 AND inf_impr=1) OR (ling='$act_lang' AND inf_impr=1)) AND attivo=1");
  $nr=mysql_num_rows($result); if($nr==0) return "";
  $ran=rand(1,$nr); // Prende un banner a caso tra quelli validi
  for($i=1;$i<=$ran;$i++) $row=mysql_fetch_object($result);
  if($row->pic_url) $im="$row->pic_url"; else $im="pic/ban/$row->pic";
  if($out==1) $msg="<a href=\"http://$SITE_ADDR/index.php?banners_rot=vai&rbanID=$row->rbanID\" target=\"_blank\"><img src=\"$im\" width=\"464\" height=\"60\" alt=\"$row->etichetta\" border=\"0\"></a>";
  else $msg="<a href=\"index.php?banners_rot=vai&rbanID=$row->rbanID\" target=\"_blank\"><img src=\"$im\" width=\"464\" height=\"60\" alt=\"$row->etichetta\" border=\"0\"></a>";
  if(!anyUserLogged(1)) // L'amministratore non influisce sul numero di hits ed impressioni
   {
    if(!$row->inf_impr) faiQuery("UPDATE ".$DB_PREFIX."_banners_rot SET impressions=impressions-1 WHERE rbanID=$row->rbanID");
    faiQuery("UPDATE ".$DB_PREFIX."_banners_rot SET hits=hits+1 WHERE rbanID=$row->rbanID");
   }
  return $msg;
 }

function addRatioRbanner($userID)
 {
  global $DB_PREFIX;

  $ratio=GetFieldTb("be_ratio",$DB_PREFIX."_pref","");
  $result=faiQuery("SELECT rbanID FROM ".$DB_PREFIX."_banners_rot WHERE userID=$userID AND attivo=1 AND inf_impr=0");
  $nr=mysql_num_rows($result); if($nr==0) return;
  $ran=rand(1,$nr); // Prende un banner a caso tra quelli validi
  for($i=1;$i<=$ran;$i++) $row=mysql_fetch_object($result);
  faiQuery("UPDATE ".$DB_PREFIX."_banners_rot SET impressions=impressions+$ratio WHERE rbanID='$row->rbanID'");   
 }

function controllaBlocco($argomento)
 {
  global $DB_PREFIX,$act_lang;

  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_blocchi WHERE (attivo='1' AND ling='$act_lang' AND argomento='$argomento')");
  if(mysql_num_rows($result)>0) return 1; else return 0;
 }

function PrendiBlocchi($allineamento) // 1=sinistra, 2=centro, 3=destra
 {
  global $usrlog,$DB_PREFIX,$act_lang,$ADMIN,$sondaggio,$m_surID,$SS_VER;
  global $P_INDEX;

  $query="SELECT * FROM ".$DB_PREFIX."_blocchi WHERE (allineamento='$allineamento' AND attivo='1' AND ling='$act_lang') ORDER BY posizione";
  $result=faiQuery($query);
  while($row=mysql_fetch_object($result))
   {
    if(anyUserLogged(1,11)) $row->testodown.="<div align=right><a href=admin.php?blocco=modifica&blockID=$row->blockID&modo=12#12>[<img src=pic/ed_edit.gif border=0 align=absmiddle>$ADMIN[1303]]</a></div>";
    // Blocco personalizzato
    if($row->argomento==0)
     {
      $testo_blocco="";
      if($SS_VER=="2") // Controlla la versione dello stile
       {
        if($allineamento==1) require($P_INDEX."blk_l.inc");
        if($allineamento==2) require($P_INDEX."blk_c.inc");
        if($allineamento==3) require($P_INDEX."blk_r.inc");
       }
      else require($P_INDEX."blk.inc");
     }
    else 
     {
      $row->testo="";
      // Blocco messaggi
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="Messaggi") require($P_INDEX."blk_messaggi.inc");
      // Blocco login
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="Login")
       {
        $row->titolo=$row->titolo."<a name=1></a>";
        require($P_INDEX."blk_login.inc");
       }
      // Blocco oroscopo
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="Oroscopo") require($P_INDEX."blk_oroscopo.inc");
      // Blocco commercio
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="Commercio") require($P_INDEX."blk_commercio.inc");
      // Blocco canali
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="Canali") require($P_INDEX."blk_canali.inc");
      // Blocco newsletter
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="Newsletter")
       {
        $row->titolo=$row->titolo."<a name=3></a>";
        require($P_INDEX."blk_newsletter.inc");
       }
      // Blocco segnala
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="Segnala")
       {
        $row->titolo=$row->titolo."<a name=4></a>";
        require($P_INDEX."blk_segnala.inc");
       }
      // Blocco lingua
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="Lingua") require($P_INDEX."blk_lingua.inc");
      // Blocco cerca
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="Cerca")
       {
        $row->titolo=$row->titolo."<a name=5></a>";
        require($P_INDEX."blk_cerca.inc");
       }
      // Blocco sondaggio
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="Sondaggio")
       {
        $surID=$row->extra;
        $SEL_SURVEY=creaSurveyLayout($surID);
        if(GetFieldTb("pubblico",$DB_PREFIX."_survey"," WHERE surID='$surID'")==2 || ($sondaggio=="mostra" && $surID==$m_surID) ) $W_SURV="";
        else $W_SURV="<br><a href=index.php?sondaggio=mostra&surID=$surID&m_surID=$surID#sur$surID><center>$ADMIN[872]</center></a><br>";
        $row->titolo=$row->titolo."<a name=sur$surID></a>";
        $row2=mysql_fetch_object(faiQuery("SELECT SUM(hits) AS t_hit FROM ".$DB_PREFIX."_survey_item WHERE surID='$surID'"));
        $t_hit=$row2->t_hit;
        require($P_INDEX."blk_sondaggio.inc");
       }
      // Blocco citazioni (fortune)
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="Fortune") require($P_INDEX."blk_fortune.inc");
      // Blocco Feed RSS
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="RSSFeed") require($P_INDEX."blk_rssfeed.inc");
      // Blocco compleanno
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="Compleanno") require($P_INDEX."blk_compleanno.inc");
      // Blocco offerta speciale (ecommerce)
      if(GetFieldTb("arg_name",$DB_PREFIX."_argomenti_blk","WHERE arg_blockID='$row->argomento'")=="OffertaSpeciale") require($P_INDEX."blk_offertaspeciale.inc");

      if($SS_VER=="2") // Controlla la versione dello stile
       {
        if($allineamento==1) require($P_INDEX."blk_l.inc");
        if($allineamento==2) require($P_INDEX."blk_c.inc");
        if($allineamento==3) require($P_INDEX."blk_r.inc");
       }
      else require($P_INDEX."blk.inc");
     }
    $str.=$blocco."<BR>";
   }
  return $str;
 }

function PrendiCanali($n) // $n=1 -> prende barra canali $n=2 -> prende barra menu $n=3 -> genera il blocco canali orizzontale
 {
  global $DB_PREFIX,$act_lang,$ADMIN,$act_css,$LINK1_COL;

  if($n==1)
   {
    $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_argomenti_can WHERE ling='$act_lang' AND attivo='1'");
    while($row=mysql_fetch_object($result))
     {
      $msg.="[<SPAN class=\"canaliTitoloTxt\">$row->arg_name:</SPAN>&nbsp;";
      $result_can=faiQuery("SELECT * FROM ".$DB_PREFIX."_canali WHERE argomento='$row->arg_canID' AND attivo=1");
      if(mysql_num_rows($result_can)==0) $msg.="($ADMIN[599])";
      while($row_can=mysql_fetch_object($result_can))
       {
        $msg.="|&nbsp;<a class=\"canaliTxt\" href=\"index.php?page=canali&canID=$row_can->canID\">$row_can->name</a>&nbsp;|&nbsp;";
       }
      $msg.="] ";
     }
   }
  if($n==2)
   {
    require("stili/$act_css/sep.php");
    $primo_sep=1;
    $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_barra WHERE attivo=1 AND ling='$act_lang' ORDER BY pos");
    if(!mysql_num_rows($result)) return "";
    $msg.="<span align=center class=standardboldTxt>";
    while($row=mysql_fetch_object($result))
     {
      if($primo_sep==1) $msg.="<span class=menubarTxt>$MENU_SEP_S</span>&nbsp;";
      $argbar=strtolower(GetNomeargbar($row->argomento));
      if(!$argbar) $argbar="personalizzata";
      if($argbar=="personalizzata") // Caso voce personalizzata
       {
        $arg_link=GetFieldTb("argomento",$DB_PREFIX."_pagine","WHERE pagID=$row->link");
        $argpg=strtolower(GetNomeargpag($arg_link));
        if(!$argpg) $argpg="pagine";
        if($primo_sep==0) $msg.="<span class=menubarTxt>$MENU_SEP</span>&nbsp;";
        $msg.="<a class=menu href=\"index.php?dpage=pagine&page=$argpg&pagID=$row->link\">$row->name</a>&nbsp;";
       }
      else
       {
        if($argbar=="bloccocanali") $argpg="canali&canID=$row->link";
        if($argbar=="home") $argpg="home";
        if($argbar=="amministrazione" || $argbar=="loginutenti" || $argbar=="esterno")
         {
          if($argbar=="amministrazione")
           {
            if($primo_sep==0) $msg.="<span class=menubarTxt>$MENU_SEP</span>&nbsp;";
            $msg.="<a class=menu href=\"admin.php\">$row->name</a>&nbsp;";
           }
          if($argbar=="loginutenti")
           {
            if($primo_sep==0) $msg.="<span class=menubarTxt>$MENU_SEP</span>&nbsp;";
            $msg.="<a class=menu href=\"user.php\">$row->name</a>&nbsp;";
           }
          if($argbar=="esterno")
           {
            if($primo_sep==0) $msg.="<span class=menubarTxt>$MENU_SEP</span>&nbsp;";
            $msg.="<a class=menu href=\"$row->url\" target=\"$row->target\">$row->name</a>&nbsp;";
           }
         }
        else
         {
          if($primo_sep==0) $msg.="<span class=menubarTxt>$MENU_SEP</span>&nbsp;";
          $msg.="<a class=menu href=\"index.php?page=$argpg\">$row->name</a>&nbsp;";
         }
       }
      $primo_sep=0;
     }
    $msg.="<span class=menubarTxt>$MENU_SEP_E</span></span>";
   }
  if($n==3)
   {
    $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_argomenti_can WHERE ling='$act_lang' AND attivo='1'");
    while($row=mysql_fetch_object($result))
     {
      $msg.="<SPAN class=\"standardboldTxt\"><BR><SPAN class=canalipanelTxt>$row->arg_name:</SPAN></SPAN>&nbsp;";
      $result_can=faiQuery("SELECT * FROM ".$DB_PREFIX."_canali WHERE argomento='$row->arg_canID' AND attivo=1");
      if(mysql_num_rows($result_can)==0) $msg.="($ADMIN[599])";
      while($row_can=mysql_fetch_object($result_can))
       {
        $msg.="<BR>&nbsp;<a class=\"standardboldTxt\" href=\"index.php?page=canali&canID=$row_can->canID\"><FONT COLOR=$LINK1_COL>$row_can->name&nbsp;>>></font></a>&nbsp;";
       }
     }
   }
  return $msg;
 }

function mostraSondaggio($surID,$dim=0.5)
 {
  global $DB_PREFIX,$ADMIN;

  $row=mysql_fetch_object(faiQuery("SELECT SUM(hits) AS tot FROM ".$DB_PREFIX."_survey_item WHERE surID='$surID'"));
  $tot=$row->tot;
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_survey_item WHERE surID='$surID'");
  $str.="<table align=center class=standardBoldtxt><tr><td align=center colspan=5>$ADMIN[867]</td></tr>";
  while($row=mysql_fetch_object($result))
   {
    if($tot) { $act=$row->hits/$tot*100; $act=substr($act,0,5); } else $act=0;
    $str.="<tr><td></td><td>$row->risposta:</td><td>".creaBarrastat($act,$dim)."</td><td align=right>$act%</td><td align=right>($row->hits)</td></tr>";
   }
  $str.="</table><br>";
  if(GetFieldTb("target",$DB_PREFIX."_survey"," WHERE surID='$surID'")!=1) $str.=ricavaSessoSur($surID,$tot,$dim);
  return $str;
 }

function mostraGuestbook($admin,$pagID)
 {
  global $DB_PREFIX,$ADMIN,$PARI_COL,$DISP_COL,$ARG_STY,$ARG_COL;
  global $r_st,$r_lu,$r_po,$r_nv,$MAX_ITEMS; // Variabili per le videate multiple

  // Crea le videate
  if($r_po==0)
   {
    $row_n=mysql_fetch_object(faiQuery("SELECT COUNT(*) AS tot FROM ".$DB_PREFIX."_gb_messaggi"));
    $r_nv=$row_n->tot/$MAX_ITEMS;
    if($r_nv>1)
     {        
      $tmp=$r_nv;
      $r_nv=(int)$r_nv; if($tmp-$r_nv>0) $r_nv++;
      $r_st=0; $r_lu=$MAX_ITEMS; $r_po=1;
      $txt_vid=creaVideata($ADMIN[1035],"index.php?dpage=pagine&page=guestbook&guardaguestbook=si&pagID=$pagID",$r_po,$r_nv);
      $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_gb_messaggi ORDER BY ts DESC LIMIT $r_st,$r_lu");
     }
    else $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_gb_messaggi ORDER BY ts DESC");
   }
  else
   {
    $txt_vid=creaVideata($ADMIN[1035],"index.php?dpage=pagine&page=guestbook&guardaguestbook=si&pagID=$pagID",$r_po,$r_nv);
    $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_gb_messaggi ORDER BY ts DESC LIMIT $r_st,$r_lu");
   }

  if(mysql_num_rows($result)==0) return $ADMIN[1141]."<br>";
  if($admin) $str.="<table width=98% align=center class=standardBoldtxt border=0><tr bgcolor=$ARG_COL><td $ARG_STY colspan=2>$ADMIN[189]</td><td $ARG_STY>$ADMIN[375]:</td><td $ARG_STY>$ADMIN[807]</td><td $ARG_STY colspan=2> $ADMIN[1142]</td></tr>";
  else $str.="<table width=98% align=center class=standardBoldtxt border=0><tr bgcolor=$ARG_COL><td $ARG_STY colspan=2>$ADMIN[189]</td><td $ARG_STY>$ADMIN[375]:</td><td $ARG_STY>$ADMIN[807]</td><td $ARG_STY> $ADMIN[1142]</td></tr>";
  $i=1;
  while($row=mysql_fetch_object($result))
   {
    $i++; if($i%2==0) $ccol="BGCOLOR=$PARI_COL"; else $ccol="BGCOLOR=$DISP_COL";
    if($row->country=="00") $pic="<img src=pic/uflag.gif alt=\"$ADMIN[1139]\">";
    else
     {
      $cname=getFieldTb("name",$DB_PREFIX."_country"," WHERE code='$row->country'");
      $pic="<img src=pic/flags/$row->country.gif alt=\"$cname\">";
     }
    $str.="<tr $ccol class=standardTxt><td align=center>$pic</td><td><b>$row->nome</b></td><td><a href=mailto:$row->email>$row->email</a></td><td>".ConvertiData(date("Y/m/d",$row->ts),$act_lang)."<br>".date("H:i:s",$row->ts)."</td><td>$row->messaggio</td>";
    if($admin) $str.="<td><nobr><a href=index.php?dpage=pagine&page=guestbook&guardaguestbook=si&cancellauno=si&gbmessaggioID=$row->gbmessaggioID&pagID=$pagID onclick=\"return conferma(this,'$ADMIN[709]');\">[<img src=pic/ed_reject.gif align=absmiddle border=0>$ADMIN[609]]</a></nobr></td>";
    $str.="</tr>";
   }
  $str.="</table><div align=center class=standardTxt>$txt_vid</div><br>";
  return $str;
 }

function PrendiNumNotizie()
 {
  global $DB_PREFIX;

  $query="SELECT * FROM ".$DB_PREFIX."_pref";
  $result=FaiQuery($query);
  $row=mysql_fetch_object($result);
  return $row->num_notizie;
 }

function ricavaSessoSur($surID,$tot,$dim)
 {
  global $DB_PREFIX,$ADMIN;

  $m=0; $f=0;
  $result=faiQuery("SELECT userID FROM ".$DB_PREFIX."_survey_sess WHERE surveyID='$surID'");
  while($row=mysql_fetch_object($result))
   {
    if(getFieldTb("sesso",$DB_PREFIX."_utenti"," WHERE userID='$row->userID'")=="M") $m++;
    else $f++;
   }
  if($tot) { $pm=$m/$tot*100; $pm=substr($pm,0,5); } else $pm=0;
  if($tot) { $pf=$f/$tot*100; $pf=substr($pf,0,5); } else $pf=0;
  $str="<table align=center><tr align=center class=standardboldTxt><td colspan=3>$ADMIN[871]<td></tr>";
  $str.="<tr class=standardboldTxt><td>$ADMIN[869]</TD><TD>".creaBarrastat($pm,$dim)."</td><td align=right>$pm%</td><td>($m)</td></tr>";
  $str.="<tr class=standardboldTxt><td>$ADMIN[870]</TD><TD>".creaBarrastat($pf,$dim)."</td><td align=right>$pf%</td><td>($f)</td></tr>";
  $str.="</table>";
  return $str; 
 }

function GetNomearg($arg) // Prende il nome dell'argomento specificato
 {
  global $DB_PREFIX;

  $query="SELECT arg_name FROM ".$DB_PREFIX."_argomenti_ass WHERE arg_assID='$arg'";
  $result=FaiQuery($query);
  $row=mysql_fetch_object($result);
  $nome=$row->arg_name;
  return $nome;
 }

function GetNomeargpag($arg) // Prende il nome dell'argomento specificato
 {
  global $DB_PREFIX;

  $query="SELECT arg_name FROM ".$DB_PREFIX."_argomenti_pag WHERE arg_pagID='$arg'";
  $result=FaiQuery($query);
  $row=mysql_fetch_object($result);
  $nome=$row->arg_name;
  return $nome;
 }

function GetNomeargbar($arg) // Prende il nome dell'argomento specificato
 {
  global $DB_PREFIX;

  $query="SELECT arg_name FROM ".$DB_PREFIX."_argomenti_bar WHERE arg_barID='$arg'";
  $result=FaiQuery($query);
  $row=mysql_fetch_object($result);
  $nome=$row->arg_name;
  return $nome;
 }

function GetAutoreNotizia($notID) // Ricava l'autore della notizia con codice $notID
 {
  global $DB_PREFIX,$REDAZIONE;

  $query="SELECT autore FROM ".$DB_PREFIX."_notizie WHERE notID=$notID";
  $result=FaiQuery($query);
  $row=mysql_fetch_object($result);
  $aux=$row->autore;
  $query="SELECT login FROM ".$DB_PREFIX."_utenti WHERE userID=$aux";
  $result=FaiQuery($query);
  if(mysql_num_rows($result)==0) $aux=$REDAZIONE;
  else
   {
    $row=mysql_fetch_object($result);
    $aux=$row->login;
   }
  return $aux;
 }

function GetAutoreEmail($login) // Ricava l'email dell'utente con $login
 {
  global $DB_PREFIX, $WM_EMAIL;

  $query="SELECT email FROM ".$DB_PREFIX."_utenti WHERE login='$login'";
  $result=FaiQuery($query);
  if(mysql_num_rows($result)==0) $aux=$WM_EMAIL;
  else 
   {
    $row=mysql_fetch_object($result);
    $aux=$row->email;
   }
  return $aux;
 }

function getUsrVitality($userID)
 {
 	global $DB_PREFIX;
 	
 	$totn=mysql_num_rows(faiQuery("SELECT * FROM ".$DB_PREFIX."_notizie"));
 	$totf=mysql_num_rows(faiQuery("SELECT * FROM ".$DB_PREFIX."_forum_frasi"));
 	$totr=mysql_num_rows(faiQuery("SELECT * FROM ".$DB_PREFIX."_forum_reply"));
  $vitn=mysql_num_rows(faiQuery("SELECT * FROM ".$DB_PREFIX."_notizie WHERE autore='$userID'"));
  $vitf=mysql_num_rows(faiQuery("SELECT * FROM ".$DB_PREFIX."_forum_frasi WHERE userID='$userID'"));
  $vitr=mysql_num_rows(faiQuery("SELECT * FROM ".$DB_PREFIX."_forum_reply WHERE userID='$userID'"));
  $tot=$totn+$totf+$totr;
  $vit=$vitn+$vitf+$vitr;
  if($vit) { $vit=$vit/$tot*100; $vit=substr($vit,0,5); } else $vit=0;
  return $vit;
 }

function getAutoreID($login) // Ricava l'userID dell'utente con $login
 {
  global $DB_PREFIX;

  $row=mysql_fetch_object(faiQuery("SELECT userID FROM ".$DB_PREFIX."_utenti WHERE login='$login'"));
  return $row->userID;
 }

function GetGroupID($login) // Ricava il groupID dell'utente con $login
 {
  global $DB_PREFIX;

  $row=mysql_fetch_object(faiQuery("SELECT userID FROM ".$DB_PREFIX."_utenti WHERE login='$login'"));
  return $row->groupID;
 }

function AggiustaPos($new,$old,$field,$tb,$id)
 {
  $result=faiQuery("SELECT * FROM $tb");
  if($new>$old)
   {
    while($row=mysql_fetch_array($result))
     {
      if($old<=$row[$field] && $row[$field]<=$new)
       { 
        $row[$field]--;
        faiQuery("UPDATE $tb SET $field=$row[$field] WHERE $id=$row[$id]");
       }
     }
   }
  if($new<$old)
   {
    while($row=mysql_fetch_array($result))
     {
      if($new<=$row[$field] && $row[$field]<=$old)
       { 
        $row[$field]++;
        faiQuery("UPDATE $tb SET $field=$row[$field] WHERE $id=$row[$id]");
       }
     }
   }
 }

function getSessionID()
 {
  global $DB_PREFIX;

  session_start();
  $sid=session_id();
  $ip=getenv('REMOTE_ADDR');
  $id=GetFieldTb("sesID",$DB_PREFIX."_sessions"," WHERE ip='$ip' OR codice='$sid'");
  if(!$id) $id=0;
  return $id;
 }

function GetFieldTb($field,$table,$cond) // Ritorna il valore del campo $field dalla tabella $table con la condizione $cond
 {
  $query="SELECT $field FROM $table ".$cond;
  $result=FaiQuery($query);
  $row=mysql_fetch_array($result);
  return $row[$field];
 }

function Check($nome,$valore,$check)
 {
  $msg.="<input type=checkbox name=$nome value=$valore $check>";
  return $msg;
 }

function Radio($nome,$valore,$check)
 {
  $msg.="<input type=radio name=$nome value=$valore $check>";
  return $msg;
 }

function CreaSelect($id,$table,$arg,$lin=0)
 {
  global $ADMIN;  

  $query="SELECT * FROM $table";
  if($lin) $query="SELECT * FROM $table WHERE ling=$lin";
  $result=faiQuery($query);
  $num=mysql_num_rows($result);
  while($row=mysql_fetch_array($result))
   {
    $row[arg_name]=Traduci($row[arg_name]);
    if($arg!=$row[$id]) $msg.="<option value=\"$row[$id]\">$row[arg_name]</option>";
    else $msg.="<option value=\"$row[$id]\" selected>$row[arg_name]</option>";
   }
  return $msg;
 }

function CreaSelectUser($userID,$login="",$flag=0)
 {
  global $DB_PREFIX,$ADMIN;

  $query="SELECT * FROM ".$DB_PREFIX."_utenti ORDER BY cognome";
  if($login) $query="SELECT * FROM ".$DB_PREFIX."_utenti WHERE login='$login'";
  $result=FaiQuery($query);
  $num=mysql_num_rows($result);

  if($flag==1) // Mette utente amministratore ed anonimo
   {
    if($userID==0) $msg.="<option value=0 selected>$ADMIN[998]</option>";
    else $msg.="<option value=0>$ADMIN[998]</option>";
    if($userID==-1) $msg.="<option value=\"-1\" selected>$ADMIN[988]</option>";
    else $msg.="<option value=\"-1\">$ADMIN[988]</option>";
   }

  while($row=mysql_fetch_object($result))
   {
    if($userID!=$row->userID) $msg.="<option value=\"$row->userID\">$row->login</option>";
    else $msg.="<option value=\"$row->userID\" selected>$row->login</option>";
   }
  return $msg;
 }

function CreaSelectBBS($usrID,$val=0)
 {
  global $DB_PREFIX,$ADMIN;

  $groupID=getFieldTB("groupID",$DB_PREFIX."_utenti","WHERE userID='$usrID'");
  $num=mysql_num_rows(faiQuery("SELECT * FROM ".$DB_PREFIX."_utenti WHERE f3=1 AND groupID=$groupID AND userID<>$usrID"));
  if($num!=0)
   {
    $msg.="<option value=0 selected>$ADMIN[1289]($num)</option>";
   }
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_utenti WHERE f3=1 ORDER BY cognome");
  while($row=mysql_fetch_object($result))
   {
    if($row->userID!=$usrID)
     {
      if($row->userID==$val) $msg.="<option value=\"$row->userID\" selected>$row->login</option>";
      else $msg.="<option value=\"$row->userID\">$row->login</option>";
     }
   }
  return $msg;
 }

function SelectLang($name,$pos,$lall=0)
 {
  Global $LINGUE,$DB_PREFIX,$ADMIN;
  
  $msg.="<select name=$name>";
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_lingue WHERE attiva=1");
  if($lall) $msg.="<option value=\"0\">$ADMIN[1574]</option>";
  while($row=mysql_fetch_object($result))
   {
    if($pos==$row->linguaID) $msg.="<option value=\"$row->linguaID\" selected>".$LINGUE[$row->linguaID]."</option>";
    else $msg.="<option value=\"$row->linguaID\">".$LINGUE[$row->linguaID]."</option>";
   }
  $msg.="</select>";
  return $msg;
 }

function SelectPageJS($nome,$mode) // $mode: 1=pagine canali 2=pagine normali 0=tutte le pagine
 {
  global $DB_PREFIX;

  if($mode==1) $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_pagine WHERE tipo=1");
  if($mode==2) $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_pagine WHERE tipo=2");
  if($mode==0) $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_pagine");
  if(mysql_num_rows($result)) $msg.="var $nome = new Array();";
  while($row=mysql_fetch_object($result))
   {
    if($row->argomento=="0") $msg.=$nome."[".$row->pagID."]=\"pagine\";";
    if($row->argomento=="1") $msg.=$nome."[".$row->pagID."]=\"mercatino\";";
    if($row->argomento=="2") $msg.=$nome."[".$row->pagID."]=\"faq\";";
    if($row->argomento=="3") $msg.=$nome."[".$row->pagID."]=\"ricerca\";";
    if($row->argomento=="4") $msg.=$nome."[".$row->pagID."]=\"registrazione\";";
    if($row->argomento=="5") $msg.=$nome."[".$row->pagID."]=\"links\";";
    if($row->argomento=="6") $msg.=$nome."[".$row->pagID."]=\"statistiche\";";
    if($row->argomento=="7") $msg.=$nome."[".$row->pagID."]=\"infoutenti\";";
    if($row->argomento=="8") $msg.=$nome."[".$row->pagID."]=\"forum\";";
    if($row->argomento=="9") $msg.=$nome."[".$row->pagID."]=\"downloads\";";
    if($row->argomento=="10") $msg.=$nome."[".$row->pagID."]=\"guestbook\";";
    if($row->argomento=="11") $msg.=$nome."[".$row->pagID."]=\"directories\";";
    if($row->argomento=="12") $msg.=$nome."[".$row->pagID."]=\"mediaalbum\";";
    if($row->argomento=="13") $msg.=$nome."[".$row->pagID."]=\"contact\";";
    if($row->argomento=="14") $msg.=$nome."[".$row->pagID."]=\"chat\";";
    if($row->argomento=="15") $msg.=$nome."[".$row->pagID."]=\"webmail\";";
   }
  return $msg;
 }

function getTipoPage($pagID)
 {
  global $DB_PREFIX;

  $row=mysql_fetch_object(faiQuery("SELECT * FROM ".$DB_PREFIX."_pagine WHERE pagID='$pagID'"));
  if($row->argomento=="0")  return "pagine";
  if($row->argomento=="1")  return "mercatino";
  if($row->argomento=="2")  return "faq";
  if($row->argomento=="3")  return "ricerca";
  if($row->argomento=="4")  return "registrazione";
  if($row->argomento=="5")  return"links";
  if($row->argomento=="6")  return "statistiche";
  if($row->argomento=="7")  return "infoutenti";
  if($row->argomento=="8")  return "forum";
  if($row->argomento=="9")  return "downloads";
  if($row->argomento=="10") return "guestbook";
  if($row->argomento=="11") return "directories";
  if($row->argomento=="12") return "mediaalbum";
  if($row->argomento=="13") return "contact";
  if($row->argomento=="14") return "chat";
  if($row->argomento=="15") return "webmail";
 }

function SelectPage($nome,$mode,$pos) // $mode: 1=pagine canali 2=pagine normali 0=tutte le pagine
 {
  global $DB_PREFIX;

  $msg.="<select name=$nome>";
  if($mode==1) $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_pagine WHERE tipo=1");
  if($mode==2) $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_pagine WHERE tipo=2");
  if($mode==0) $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_pagine");
  while($row=mysql_fetch_object($result))
   {
    if($row->pagID!=$pos) $msg.="<option value=\"$row->pagID\">$row->titolo</option>";
    else $msg.="<option value=\"$row->pagID\" selected>$row->titolo</option>";    
   }
  $msg.="</select>";
  return $msg;
 }

function SelectPageNULL($nome,$mode,$pos,$none) // $mode: 1=pagine canali 2=pagine normali 0=tutte le pagine
 {
  global $DB_PREFIX;

  $msg.="<select name=$nome><option value=0>$none</option>";
  if($mode==1) $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_pagine WHERE tipo=1");
  if($mode==2) $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_pagine WHERE tipo=2");
  if($mode==0) $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_pagine");
  while($row=mysql_fetch_object($result))
   {
    if($row->pagID!=$pos) $msg.="<option value=\"$row->pagID\">$row->titolo</option>";
    else $msg.="<option value=\"$row->pagID\" selected>$row->titolo</option>";    
   }
  $msg.="</select>";
  return $msg;
 }

function SelectCan($nome,$pos)
 {
  global $DB_PREFIX;

  $msg.="<select name=$nome>";
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_canali");
  while($row=mysql_fetch_object($result))
   {
    if($row->canID!=$pos) $msg.="<option value=\"$row->canID\">$row->name</option>";
    else $msg.="<option value=\"$row->canID\" selected>$row->name</option>";    
   }
  $msg.="</select>";
  return $msg;
 }

function SelectCanNoname($pos)
 {
  global $DB_PREFIX,$ADMIN;
  
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_canali");
  while($row=mysql_fetch_object($result))
   {
    if($row->canID!=$pos) $msg.="<option value=\"S$row->canID\">$row->name [$ADMIN[804]]</option>";
    else $msg.="<option value=\"S$row->canID\" selected>$row->name [$ADMIN[804]]</option>";    
   }
  $msg.="</select>";
  return $msg;
 }

function selectDownKeys($nome,$pos)
 {
  global $DB_PREFIX;

  $msg.="<select name=$nome>";
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_argomenti_dow ORDER BY arg_name");
  while($row=mysql_fetch_object($result))
   {
    $result1=faiQuery("SELECT * FROM ".$DB_PREFIX."_download_sub WHERE arg_downID='$row->arg_downID' ORDER BY sub_name");
    while($row1=mysql_fetch_object($result1))
     {
      $val=$row->arg_downID."|".$row1->sub_downID;
      if($val!=$pos) $msg.="<option value=\"$val\">$row->arg_name -> $row1->sub_name</option>";
      else $msg.="<option value=\"$val\" selected>$row->arg_name -> $row1->sub_name</option>";
     }
   }
  $msg.="</select>";
  return $msg;
 }

function selectAlbKeys($nome,$pos)
 {
  global $DB_PREFIX;

  $msg.="<select name=$nome>";
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_argomenti_alb ORDER BY arg_name");
  while($row=mysql_fetch_object($result))
   {
    $result1=faiQuery("SELECT * FROM ".$DB_PREFIX."_album WHERE argomento='$row->arg_albID' ORDER BY titolo");
    while($row1=mysql_fetch_object($result1))
     {
      $val=$row->arg_albID."|".$row1->albumID;
      if($val!=$pos) $msg.="<option value=\"$val\">$row->arg_name -> $row1->titolo</option>";
      else $msg.="<option value=\"$val\" selected>$row->arg_name -> $row1->titolo</option>";
     }
   }
  $msg.="</select>";
  return $msg;
 }

function Select($nome,$dati,$pos,$fl=0)
 {
  $i=0;
  $pos--;
  $msg.="<select name=$nome>";
  while($dati[$i])
   {    
    $p=$i+1;
    if($fl==1)
     {    
      if($i!=$pos) $msg.="<option value=\"".($p-1)."\">$dati[$i]</option>";
      else $msg.="<option value=\"".($p-1)."\" selected>$dati[$i]</option>";
     }
    else
     {
      if($i!=$pos) $msg.="<option value=\"$p\">$dati[$i]</option>";
      else $msg.="<option value=\"$p\" selected>$dati[$i]</option>";
     }
    $i++;
   }
  $msg.="</select>";
  return $msg;
 }

function SelectValori($nome,$etichette,$valori,$pos)
 {
  $i=0;
  $msg.="<select name=$nome>";
  while($etichette[$i])
   {    
    if($valori[$i]!=$pos) $msg.="<option value=\"".$valori[$i]."\">$etichette[$i]</option>";
    else $msg.="<option value=\"".$valori[$i]."\" selected>$etichette[$i]</option>";
    $i++;
   }
  $msg.="</select>";
  return $msg;
 }

function SelectEqual($nome,$dati,$pos,$js=0,$dir="")
 {
  if($js==1) $msg.="<select name=$nome onChange=\"cambiaImg('$dir','preImg',$nome.value)\">";
  else $msg.="<select name=$nome>";
  $i=0;
  while($dati[$i])
   {        
    if($pos!=$dati[$i]) $msg.="<option value=\"$dati[$i]\">$dati[$i]</option>";
    else $msg.="<option value=\"$dati[$i]\" selected>$dati[$i]</option>";
    $i++;
   }
  $msg.="</select>";
  return $msg;
 }

function SelectFromDb($nome,$tb,$fiv,$fil,$pos,$defv="",$defl="",$where="",$fextra="",$fl=0)
 {
  global $DB_PREFIX;    
  
  $sw=0;  
  if($where=="") $result=faiQuery("SELECT * FROM $tb");
  else $result=faiQuery("SELECT * FROM $tb ".$where);
  while($row=mysql_fetch_array($result))
   {    
    if($fl==1) { $str=$row[$fextra]; $val=$row[$fiv].$str; }
    else $val=$row[$fiv];
    if($fextra!="")
     {
      if($pos!=$val) $msg.="<option value=\"$row[$fiv]$str\">$row[$fil] ($row[$fextra])</option>";
      else { $msg.="<option value=\"$row[$fiv]$str\" selected>$row[$fil] ($row[$fextra])</option>"; $sw=1; }
     }
    else
     {
      if($pos!=$val) $msg.="<option value=\"$row[$fiv]$str\">$row[$fil]</option>";
      else { $msg.="<option value=\"$row[$fiv]$str\" selected>$row[$fil]</option>"; $sw=1; }
     }
   }
  $msg.="</select>";
  if($defv!="")
   {
    if($sw==0) $msg="<select name=$nome><option value=\"$defv\" selected>$defl</option>".$msg;
    else $msg="<select name=$nome><option value=\"$defv\">$defl</option>.$msg";
   }
  else $msg="<select name=$nome>".$msg;
  return $msg;
 }

function SelectEqualNULL($nome,$dati,$pos,$js=0,$dir="")
 {
  if($js==1) $msg.="<select name=$nome onChange=\"cambiaImg('$dir','preImg',$nome.value)\">";
  else $msg.="<select name=$nome>";
  $i=0;
  if($pos!=$dati[$i]) $msg.="<option value=0>$dati[$i]</option>";
  else $msg.="<option value=0 selected>$dati[$i]</option>";
  $i++;
  while($dati[$i])
   {        
    if($pos!=$dati[$i]) $msg.="<option value=\"$dati[$i]\">$dati[$i]</option>";
    else $msg.="<option value=\"$dati[$i]\" selected>$dati[$i]</option>";
    $i++;
   }
  $msg.="</select>";
  return $msg;
 }

function SelectEqNum($nome,$num,$pos)
 {
  $msg.="<select name=$nome>";
  for($i=1;$i<=$num;$i++)
   {        
    if($pos!=$i) $msg.="<option value=\"$i\">$i</option>";
    else $msg.="<option value=\"$i\" selected>$i</option>";
   }
  $msg.="</select>";
  return $msg;
 }

function SelectNameVal($table,$fname,$fval,$nome,$pos)
 {
  $msg.="<select name=$nome>";
  $result=faiQuery("SELECT * FROM $table");
  while($row=mysql_fetch_array($result))
   {        
    if($pos!=$row[$fval]) $msg.="<option value=\"$row[$fval]\">$row[$fname]</option>";
    else $msg.="<option value=\"$row[$fval]\" selected>$row[$fname]</option>";
   }
  $msg.="</select>";
  return $msg;
 }

function CreaSelectDir($dir,$nome,$pos,$js=0)
 {
  $fd=opendir($dir); $i=0;
  while(($file=readdir($fd))) // Finch ci sono file
   {
    if($file!="." && $file!=".." && $file!="index.html")
     {
      $DIR_ARR[$i]=$file;
      $i++;
     }
   }
  closedir($fd);
  if($DIR_ARR) sort($DIR_ARR);
  if($js==1)return SelectEqual($nome,$DIR_ARR,$pos,$js,$dir."/");
  else return SelectEqual($nome,$DIR_ARR,$pos);
 }

function CreaSelectDirNULL($dir,$nome,$pos,$null,$js=0)
 {
  $fd=opendir($dir);
  $i=0;
  $DIR_ARR[$i]=$null;
  $i++;
  while(($file=readdir($fd))) // Finch ci sono file
   {
    if($file!="." && $file!=".." && $file!="index.html")
     {
      $DIR_ARR[$i]=$file;
      $i++;
     }
   }
  closedir($fd);
  if($DIR_ARR) sort($DIR_ARR);
  if($js==1) return SelectEqualNULL($nome,$DIR_ARR,$pos,$js,$dir."/");
  else return SelectEqualNULL($nome,$DIR_ARR,$pos);
 }

function CreaSelectDirExt($dir,$nome,$pos,$EXT,$js=0)
 {
  $fd=opendir($dir);
  $i=0;
  while(($file=readdir($fd))) // Finch ci sono file
   {
    if($file!="." && $file!=".." && $file!="index.html")
     {
      $e=strtolower(cutExt($file)); // Controlla solo estensioni in minuscolo
      foreach($EXT as $v)
       {
        if($v==$e)
         {
          $DIR_ARR[$i]=$file;
          $i++;
         }
       }
     }
   }
  closedir($fd);
  if($DIR_ARR) sort($DIR_ARR);
  if($js==1) return SelectEqual($nome,$DIR_ARR,$pos,$js,$dir."/");
  else return SelectEqual($nome,$DIR_ARR,$pos);
 }

function getFirstDir($dir)
 {
 	// Torna il primo elemento della directory $dir (ordinata alfabeticamente)
  $fd=opendir($dir); $i=0;
  while(($file=readdir($fd))) // Finch ci sono file
   {
    if($file!="." && $file!=".." && $file!="index.html")
     {
      $DIR_ARR[$i]=$file;
      $i++;
     }
   }
  closedir($fd);
  if($DIR_ARR) sort($DIR_ARR);
  return $DIR_ARR[0];
 }

function CreaSelectParseOpt($nome_opt,$nome_val,$str)
 {
  global $ADMIN;
  // $nome_opt e $nome_val lo passo per creare una funzione generica eventualmente da riusare in futuro
  if($str=="") return $ADMIN[775];
  $i=0; $num=0; // $num=numero di opzioni create
  while($str[$i])
   {
    $lab="";
    while(($str[$i]!='|' && $str[$i]) || $str[$i]=='0')
     {   
      $lab=$lab.$str[$i];
      $i++;
     }
    $j=0; $fl=0;
    while($lab[$j])
     {
      $opt="";
      while(($lab[$j]!=',' && $lab[$j]) || $lab[$j]=='0')
       {   
        $opt=$opt.$lab[$j];
        $j++;
       }
      if($fl==0) // Trovata un'opzione
       {  
        // ??? Indicizzare $i le varie voci ($nome_opt e $nome_val) e anche gli hidden field
        $num++;
        $msg.="<input type=hidden name=".$nome_opt."".$num." value=".$opt.">".$opt.":&nbsp;<select name=".$nome_val."".$num.">";
        $fl=1;
       }
      else $msg.="<option value=\"".$opt."\">".$opt."</option>"; // Siamo all'interno di un'opzione
      $j++;
     }
    $msg.="</SELECT><BR>";
    $i++;
   }
  $msg.="<input type=hidden name=num_opt value=$num>";
  return $msg;
 }

function creaSurveyLayout($surID)
 {
  global $DB_PREFIX;

  $row_sur=mysql_fetch_object(faiQuery("SELECT * FROM ".$DB_PREFIX."_survey WHERE surID='$surID'"));
  $str="<tr><td colspan=2><span class=standardboldTxt>$row_sur->domanda</span><br></td></tr>";
  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_survey_item WHERE surID='$surID'");
  while($row=mysql_fetch_object($result))
   {    
    $str.="<tr>
           <td valign=top><input type=radio name=voto value=$row->sitID></td>
           <td><span class=standardboldTxt>$row->risposta</span></td></tr>";
   }
  return $str;
 }

function getBlockPos($all)
 {
  global $DB_PREFIX;

  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_blocchi WHERE allineamento=$all ORDER BY posizione");
  $i=1; $AUX[0]=0;
  while($row=mysql_fetch_object($result))
   {
    $AUX[$i]=$row->blockID;
    $i++;
   }
  $m=$i-1; $AUX[$i]=0;
  for($i=1;$i<=$m;$i++)
   {
    $ARR[$i][u]=$AUX[$i-1]; $ARR[$i][d]=$AUX[$i+1];
   }
  return $ARR;
 }

function getMenuPos()
 {
  global $DB_PREFIX;

  $result=faiQuery("SELECT * FROM ".$DB_PREFIX."_barra ORDER BY pos");
  $i=1; $AUX[0]=0;
  while($row=mysql_fetch_object($result))
   {
    $AUX[$i]=$row->barID;
    $i++;
   }
  $m=$i-1; $AUX[$i]=0;
  for($i=1;$i<=$m;$i++)
   {
    $ARR[$i][u]=$AUX[$i-1]; $ARR[$i][d]=$AUX[$i+1];
   }
  return $ARR;
 }

function Traduci($str)
 {
  global $act_lang,$SELECT;

  if($str=="Messaggi") 				return $SELECT[0];
  if($str=="Login") 					return $SELECT[1];
  if($str=="Canali") 					return $SELECT[2];
  if($str=="Cerca") 					return $SELECT[3];
  if($str=="Oroscopo") 				return $SELECT[4];
  if($str=="Newsletter") 			return $SELECT[5];
  if($str=="Segnala") 		 		return $SELECT[6];
  if($str=="Lingua") 			 		return $SELECT[7];
  if($str=="BloccoCanali") 		return $SELECT[8];
  if($str=="Home") 						return $SELECT[9];
  if($str=="Amministrazione") return $SELECT[10];
  if($str=="Mercatino") 			return $SELECT[11];
  if($str=="FAQ") 						return $SELECT[12];
  if($str=="Ricerca") 				return $SELECT[13];
  if($str=="Registrazione") 	return $SELECT[14];
  if($str=="Links") 					return $SELECT[15];
  if($str=="Commercio") 			return $SELECT[16];
  if($str=="Statistiche") 		return $SELECT[17];
  if($str=="Sondaggio") 			return $SELECT[18];
  if($str=="InfoUtenti") 			return $SELECT[19];
  if($str=="LoginUtenti") 		return $SELECT[20];
  if($str=="Forum")						return $SELECT[21];
  if($str=="Downloads")				return $SELECT[22];
  if($str=="Guestbook")				return $SELECT[23];
  if($str=="Directories")			return $SELECT[24];
  if($str=="MediaAlbum")			return $SELECT[25];
  if($str=="Contact")					return $SELECT[26];
  if($str=="Chat")						return $SELECT[28];
  if($str=="Esterno")					return $SELECT[27];
  if($str=="Webmail")					return $SELECT[29];
  if($str=="Fortune")					return $SELECT[30];
  if($str=="RSSFeed")					return $SELECT[31];
  if($str=="Compleanno")  		return $SELECT[32];
  if($str=="OffertaSpeciale")	return $SELECT[33];
  return $str;
 }

 function getBBCodeText($str)
  {
   // Replace bbcode with relative html code
   global $CODE_STY;
   
   // code   
   $str=" ".$str;
   $tl=strlen("[code]"); $tl=strlen("[code]"); $s_pos=strpos($str,"[code]"); $e_pos=strpos($str,"[/code]");	
   while($s_pos<$e_pos)
    {
     $len=strlen($str);
     $p1=substr($str,0,$s_pos);
     $p2=substr($str,$e_pos+$tl+1,$len);
     $code=substr($str,$s_pos,$len-$s_pos-strlen($p2));
     $code=str_replace("[img]","&#91;img&#93;",$code);       $code=str_replace("[/img]","&#91;/img&#93;",$code);
     $code=str_replace("[url]","&#91;url&#93;",$code);       $code=str_replace("[/url]","&#91;/url&#93;",$code);
     $code=str_replace("[left]","&#91;left&#93;",$code);     $code=str_replace("[/left]","&#91;/left&#93;",$code);
     $code=str_replace("[center]","&#91;center&#93;",$code); $code=str_replace("[/center]","&#91;/center&#93;",$code);
     $code=str_replace("[right]","&#91;right&#93;",$code);   $code=str_replace("[/right]","&#91;/right&#93;",$code);
     $code=str_replace("[b]","&#91;b&#93;",$code);           $code=str_replace("[/b]","&#91;/b&#93;",$code);
     $code=str_replace("[i]","&#91;i&#93;",$code);           $code=str_replace("[/i]","&#91;/i&#93;",$code);
     $code=str_replace("[u]","&#91;u&#93;",$code);           $code=str_replace("[/u]","&#91;/u&#93;",$code);
     $code=str_replace("[br]","&#91;br&#93;",$code);         $code=str_replace("[sp]","&#91;sp&#93;",$code);
     $code=str_replace("[:)]","&#91;:)&#93;",$code);
     $code=str_replace("[:o]","&#91;:o&#93;",$code);
     $code=str_replace("[:p]","&#91;:p&#93;",$code);
     $code=str_replace("[lD]","&#91;lD&#93;",$code);
     $code=str_replace("[:(]","&#91;:(&#93;",$code);
     $code=str_replace("[|)]","&#91;|)&#93;",$code);
     $code=str_replace("[;)]","&#91;;)&#93;",$code);
     $code=str_replace("[B)]","&#91;B)&#93;",$code);
     $code=str_replace("[|(]","&#91;|(&#93;",$code);
     $code=str_replace("[:/]","&#91;:/&#93;",$code);
     $code=str_replace("[:|]","&#91;:|&#93;",$code);
     $code=str_replace("[8|]","&#91;8|&#93;",$code);
     $code=str_replace("[:s]","&#91;:s&#93;",$code);
     $code=str_replace("[:D]","&#91;:D&#93;",$code);
    
     $code=str_replace("[code]","<table border=0 width=98% align=center><tr><td class=standardTxt $CODE_STY><pre>",$code);
     $code=str_replace("[/code]","<br></pre></td></tr></table>",$code);
     $str=$p1.$code.$p2;
     $s_pos=strpos($str,"[code]");
     $e_pos=strpos($str,"[/code]");
    }

   // img
   $tl=strlen("[img]"); $s_pos=strpos($str,"[img]"); $e_pos=strpos($str,"[/img]");
   while($s_pos<$e_pos)
    {
     $len=strlen($str);
     $p1=substr($str,0,$s_pos);
     $p2=substr($str,$e_pos+$tl+1,$len);
     $code=substr($str,$s_pos,$len-$s_pos-strlen($p2));
     if(isURL( substr($code,$tl,strlen($code)-(2*$tl+1)) ))
      {
       $code=str_replace("[img]","<img src=\"",$code);
       $code=str_replace("[/img]","\">",$code);
      }
     else
      {
       $code=str_replace("[img]","[img ]",$code);
       $code=str_replace("[/img]","[/img ]",$code);
      }
     $str=$p1.$code.$p2;
     $s_pos=strpos($str,"[img]");
     $e_pos=strpos($str,"[/img]");
    }

   // url
   $tl=strlen("[url]"); $s_pos=strpos($str,"[url]"); $e_pos=strpos($str,"[/url]");
   while($s_pos<$e_pos)
    {
     $len=strlen($str);
     $p1=substr($str,0,$s_pos);
     $p2=substr($str,$e_pos+$tl+1,$len);
     $code=substr($str,$s_pos,$len-$s_pos-strlen($p2));
     if(isURL( substr($code,$tl,strlen($code)-(2*$tl+1)) ))
      {
       $code=str_replace("[url]","<a href=\"".substr($code,$tl,strlen($code)-(2*$tl+1))."\" target=\"_blank\">",$code);
       $code=str_replace("[/url]","</a>",$code);
      }
     else
      {
       $code=str_replace("[url]","[url ]",$code);
       $code=str_replace("[/url]","[/url ]",$code);
      }
     $str=$p1.$code.$p2;
     $s_pos=strpos($str,"[url]");
     $e_pos=strpos($str,"[/url]");
    }

   // left
   $tl=strlen("[left]"); $s_pos=strpos($str,"[left]"); $e_pos=strpos($str,"[/left]");
   while($s_pos<$e_pos)
    {
     $len=strlen($str);
     $p1=substr($str,0,$s_pos);
     $p2=substr($str,$e_pos+$tl+1,$len);
     $code=substr($str,$s_pos,$len-$s_pos-strlen($p2));
     $code=str_replace("[left]","<div align=\"left\">",$code);
     $code=str_replace("[/left]","</div>",$code);
     $str=$p1.$code.$p2;
     $s_pos=strpos($str,"[left]");
     $e_pos=strpos($str,"[/left]");
    }

   // center
   $tl=strlen("[center]"); $s_pos=strpos($str,"[center]"); $e_pos=strpos($str,"[/center]");
   while($s_pos<$e_pos)
    {
     $len=strlen($str);
     $p1=substr($str,0,$s_pos);
     $p2=substr($str,$e_pos+$tl+1,$len);
     $code=substr($str,$s_pos,$len-$s_pos-strlen($p2));
     $code=str_replace("[center]","<div align=\"center\">",$code);
     $code=str_replace("[/center]","</div>",$code);
     $str=$p1.$code.$p2;
     $s_pos=strpos($str,"[center]");
     $e_pos=strpos($str,"[/center]");
    }

   // right
   $tl=strlen("[right]"); $s_pos=strpos($str,"[right]"); $e_pos=strpos($str,"[/right]");
   while($s_pos<$e_pos)
    {
     $len=strlen($str);
     $p1=substr($str,0,$s_pos);
     $p2=substr($str,$e_pos+$tl+1,$len);
     $code=substr($str,$s_pos,$len-$s_pos-strlen($p2));
     $code=str_replace("[right]","<div align=\"right\">",$code);
     $code=str_replace("[/right]","</div>",$code);
     $str=$p1.$code.$p2;
     $s_pos=strpos($str,"[right]");
     $e_pos=strpos($str,"[/right]");
    }

   // other tag
   $str=str_replace("[b]","<b>",$str); $str=str_replace("[/b]","</b>",$str);
   $str=str_replace("[i]","<i>",$str); $str=str_replace("[/i]","</i>",$str);
   $str=str_replace("[u]","<u>",$str); $str=str_replace("[/u]","</u>",$str);
   $str=str_replace("[br]","<br>",$str); $str=str_replace("[sp]","&nbsp;",$str);
   $str=str_replace("[:)]","<img src=pic/smiles/s1.gif align=absmiddle>",$str);
   $str=str_replace("[:o]","<img src=pic/smiles/s2.gif align=absmiddle>",$str);
   $str=str_replace("[:p]","<img src=pic/smiles/s3.gif align=absmiddle>",$str);
   $str=str_replace("[lD]","<img src=pic/smiles/s4.gif align=absmiddle>",$str);
   $str=str_replace("[:(]","<img src=pic/smiles/s5.gif align=absmiddle>",$str);
   $str=str_replace("[|)]","<img src=pic/smiles/s6.gif align=absmiddle>",$str);
   $str=str_replace("[;)]","<img src=pic/smiles/s7.gif align=absmiddle>",$str);
   $str=str_replace("[B)]","<img src=pic/smiles/s8.gif align=absmiddle>",$str);
   $str=str_replace("[|(]","<img src=pic/smiles/s9.gif align=absmiddle>",$str);
   $str=str_replace("[:/]","<img src=pic/smiles/s10.gif align=absmiddle>",$str);
   $str=str_replace("[:|]","<img src=pic/smiles/s11.gif align=absmiddle>",$str);
   $str=str_replace("[8|]","<img src=pic/smiles/s12.gif align=absmiddle>",$str);
   $str=str_replace("[:s]","<img src=pic/smiles/s13.gif align=absmiddle>",$str);
   $str=str_replace("[:D]","<img src=pic/smiles/s14.gif align=absmiddle>",$str);
   $str=substr($str,1,strlen($str));
   return $str;
  }

function creaEditor($oggetto,$fl_news=0)
 {
  global $ADMIN,$act_css,$P_LIB;


  $tinyMCE=0;
  if($tinyMCE)  // Editor using tinyMCE (TODO: completare ...)
   {
    $msg="<script language=\"javascript\" type=\"text/javascript\" src=\"".$P_LIB."../../tinyMCE/tinymce/jscripts/tiny_mce/tiny_mce.js\"></script>
          <script language=\"javascript\" type=\"text/javascript\">
          

  function funROWSP(n)
   {
   	//alert('xxx');
    //tinyMCE.hide();
   }    
          
//          var tinyMCEImageList = new Array([\"Logo 1\", \"logo.jpg\"],[\"Logo 2 Over\",\"logo_over.jpg\"]);
 
					 tinyMCE.init({
						mode : \"exact\",
	          elements : \"html\",
	          language : \"en\",
						theme : \"advanced\",
						plugins : \"table,advimage,emotions\",
						theme_advanced_buttons1 : \"bold,italic,underline,strikethrough,justifyleft,justifycenter,justifyright,justifyfull,table,|,hr,link,unlink,image,|,undo,redo,code,emotions\",
						theme_advanced_buttons2 : \"\",
						theme_advanced_buttons3 : \"\",
						theme_advanced_toolbar_align : \"left\",
						extended_valid_elements : \"a[name|href|target|title|onclick],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style]\"
					 });
          </script>";
    return $msg;
   }

// tinyMCE.init({mode : \"textareas\",theme : \"simple\"});

  if(anyUserLogged(1)) $_fl=1; else $_fl=0;
  if($fl_news) $_msg="(BBCode and HTML allowed)"; else $_msg="(HTML only allowed)";
  require($P_LIB."jscript/editor.js");
  $stbb=str_replace("\"","\'",$CODE_STY);
  $sel_ed_pic=CreaSelectDir("pic/img","pic",1,1);
  $pre_pic=getFirstDir("pic/img");
  if($pre_pic=="") $pre_pic="pic/noimage.gif";
  else $pre_pic="\"pic/img/".$pre_pic."\""; 
  if($sel_ed_pic=="<select name=pic onChange=\"cambiaImg('pic/img/','preImg',pic.value)\"></select>") $sel_ed_pic="<input type=hidden name=pic value=0>($ADMIN[630])";
  $sel_ed_imgpag=SelectPageNULL("link_img",0,"","$ADMIN[646]"); // 1=pagine canali 2=pagine normali 0=tutte le pagine
  $sel_ed_pag=SelectPage("link",0,""); // 1=pagine canali 2=pagine normali 0=tutte le pagine
  if($sel_ed_pag=="<select name=link></select>") $sel_ed_pag="<input type=hidden name=link value=0>($ADMIN[646])";
  require($P_LIB."wmeditor.inc");
  return $msg;
 }

function creaEdSmiles($oggetto)
 {
  global $ADMIN,$act_css,$P_LIB,$CODE_STY;

  if(anyUserLogged(1)) $_fl=1; else $_fl=0;
  if($_fl) $_msg=$ADMIN[1644]; else $_msg=$ADMIN[1645];
  require($P_LIB."jscript/editor.js");
  $stbb=str_replace("\"","\'",$CODE_STY);
  require($P_LIB."wmedsmiles.inc");
  return $msg;
 }

function creaEdNews($oggetto) // News editor lato utente
 {
  global $ADMIN,$act_css,$P_LIB,$CODE_STY;

  if(anyUserLogged(1)) $_fl=1; else $_fl=0;
  if($_fl) $_msg=$ADMIN[1643]."<br>"; else $_msg="";
  require($P_LIB."jscript/editor.js");
  $stbb=str_replace("\"","\'",$CODE_STY);
  require($P_LIB."wmednews.inc");
  return $msg;
 }

function getDBNTable()
 {
  global $DB_NAME;

  $tres=mysql_list_tables($DB_NAME,Connetti());
  $tnum=mysql_num_rows($tres);
  return $tnum;
 }

function saveBackupDB($dati)
 {
  global $DB_PREFIX;

  $ts=time(); $data=date("mdY",$ts); $ora=date("(His)",$ts);
  $nome=$DB_PREFIX."_".$data.$ora.".sql";
  if(PMA_USR_BROWSER_AGENT=="OPERA" || PMA_USR_BROWSER_AGENT=="IE") $mime="application/octetstream";
  else $mime="application/octet-stream";
  header("Content-Type: $mime");
  if(PMA_USR_BROWSER_AGENT=="IE")
   {
    header("Content-Disposition: inline; filename=\"$nome\"");
    header("Expires: 0");
    header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
    header("Pragma: public");
   }
  else
   {
    header("Content-Disposition: attachment; filename=\"$nome\"");
    header("Expires: 0");
    header("Pragma: no-cache");
   }
  echo $dati;
  exit;
 }

function backupDB()
 {
  global $DB_PREFIX,$DB_SERVER,$DB_USER,$DB_PASSWORD,$DB_NAME;

  $str="";
  $tres=mysql_list_tables($DB_NAME,Connetti());
  $tnum=mysql_num_rows($tres);
  for($j=0;$j<$tnum;$j++)
   {
    $tname=mysql_tablename($tres,$j);
//$DB_PREFIX." --> fare controllo il nome tabella inizia con $DB_PREFIX ???
//    if($tname==$DB_PREFIX)
     {
      $fres=mysql_list_fields($DB_NAME,$tname,connetti());  // occorre password o altro controllare connetti() ???
      $fnum=mysql_num_fields($fres);
      $str.="CREATE TABLE $tname\n (";
      for($i=0;$i<$fnum;$i++)
       {
        $fname=mysql_field_name($fres,$i);
        $ftype=mysql_field_type($fres,$i);
        $flen=mysql_field_len($fres,$i);
        $fflags=mysql_field_flags($fres,$i);
        // Devo tenere solo i flag unsigned primary key auto_increment (ne mancano altri)
        $frflags="";
        if(stristr($fflags,"unsigned")!="")       $frflags.=" unsigned";
        if(stristr($fflags,"primary_key")!="")    $frflags.=" primary key";
        if(stristr($fflags,"auto_increment")!="") $frflags.=" auto_increment";
        // Mando in output
        if($ftype=="string") $ftype="char";
        if($ftype=="date" || $ftype=="time") $str.="\n  $fname $ftype$frflags"; // ne mancano
        else                                 $str.="\n  $fname $ftype($flen)$frflags";
        if($i!=$fnum-1) $str.=",";        
       }
      $str.="\n );"; 
      // Dump contenuto
      $result=faiQuery("SELECT * FROM ".$tname);
      while($row=mysql_fetch_array($result))
       {
        $str.="\nINSERT INTO $tname VALUES (";
        for($i=0;$i<$fnum;$i++)
         {
          $str.="  ".mysql_field_name($fres,$i)."='$row[$i]'";
          if($fnum>1 && $i==$fnum-1) $str.="\n"; else $str.=", ";
         }
        $str.=");\n";
       }
      if($j!=$tnum-1) $str.="\n\n";
     }
   }
  return $str;
//  faiQuery("");
 }

?>